#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd510f8b8, "ceph_cls_lock_info" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x8bbe1f63, "osd_req_op_extent_osd_data_pages" },
	{ 0x61624b7a, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x69e724b1, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xa6257a2f, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x1daa0bef, "blk_mq_end_request" },
	{ 0xf8a61de6, "blk_mq_start_request" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0xb8008add, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x8b7700c3, "ceph_parse_mon_ips" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x39b983e1, "ceph_compare_options" },
	{ 0xd1519413, "ceph_wait_for_latest_osdmap" },
	{ 0x4cad6f0, "ceph_pg_poolid_by_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaf937340, "__module_get" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x11de56c, "blk_mq_alloc_tag_set" },
	{ 0x19deb10d, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x81775236, "blk_queue_flag_set" },
	{ 0x46f5602b, "blk_queue_max_hw_sectors" },
	{ 0x6ffeaded, "blk_queue_max_segments" },
	{ 0xe70a6d9e, "blk_queue_max_segment_size" },
	{ 0x9c8fcd07, "blk_queue_io_min" },
	{ 0x3645459c, "blk_queue_io_opt" },
	{ 0x323ec767, "set_capacity" },
	{ 0xee312af2, "set_disk_ro" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x1947aaf9, "device_add" },
	{ 0x1860f59a, "ceph_create_client" },
	{ 0xa066a8f1, "ceph_open_session" },
	{ 0x5c1e269d, "blk_queue_max_discard_sectors" },
	{ 0xeb820b80, "blk_queue_max_write_zeroes_sectors" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xee525605, "ceph_parse_param" },
	{ 0xe570dddc, "device_add_disk" },
	{ 0x4ffdc0d3, "__fs_parse" },
	{ 0x22b6a66e, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x84988361, "set_capacity_and_notify" },
	{ 0x9815f5f3, "ceph_cls_lock" },
	{ 0xf178f9cb, "ceph_osdc_list_watchers" },
	{ 0xf5fa65a5, "ceph_monc_blocklist_add" },
	{ 0xaba8c425, "ceph_cls_break_lock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x19667575, "ceph_cls_set_cookie" },
	{ 0xeedda478, "fs_param_is_u32" },
	{ 0xded9011f, "fs_param_is_enum" },
	{ 0xb534c02, "fs_param_is_string" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3e195a4b, "ceph_client_gid" },
	{ 0x86981b3c, "ceph_client_addr" },
	{ 0x9b8d75c3, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0xc96c5b17, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0x2411098, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0xa70e69f2, "osd_req_op_alloc_hint_init" },
	{ 0xa2110d1a, "osd_req_op_extent_init" },
	{ 0x7b5fea0e, "osd_req_op_init" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x80a89d7c, "get_device" },
	{ 0xe7ede78d, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x7d3e422f, "kmem_cache_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x54362e31, "device_register" },
	{ 0x4168c926, "bus_register" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4c8fcdeb, "device_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0x8e676c73, "alloc_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a25fe0a, "ceph_osdc_call" },
	{ 0x19f480ca, "__free_pages" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0xcd2a2ca, "put_disk" },
	{ 0x8b557d61, "blk_mq_free_tag_set" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x8fb93804, "ceph_cls_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xa2879e12, "osd_req_op_cls_init" },
	{ 0x6be2bcb, "ceph_alloc_page_vector" },
	{ 0xa0c2799a, "osd_req_op_cls_request_data_pages" },
	{ 0xb1bf9561, "ceph_osdc_alloc_messages" },
	{ 0x3ae1b039, "ceph_osdc_start_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x83aa3d06, "ceph_cls_assert_locked" },
	{ 0xfa639fe1, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0xdff74da5, "ceph_release_page_vector" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x92fd5a2, "ceph_copy_from_page_vector" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe7b70dd3, "ceph_destroy_client" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xffb7c514, "ida_free" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x460c290, "ceph_osdc_watch" },
	{ 0x2a81d1ce, "ceph_osdc_unwatch" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf9824e3d, "ceph_osdc_flush_notifies" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa29a90c, "blk_mq_freeze_queue" },
	{ 0x8e0faf00, "blk_mark_disk_dead" },
	{ 0x45b1c82b, "del_gendisk" },
	{ 0xdcb76756, "device_del" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57d08152, "ceph_osdc_notify" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9a7e5dc3, "ceph_osdc_put_request" },
	{ 0xdd831195, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0x40ead53c, "osd_req_op_cls_request_data_bvecs" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x23a4c79c, "kmem_cache_alloc" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "CF927DFCD00E1FD49E049C2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
