#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x66d2c0b7, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x9c670dd0, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x54462c92, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xe2601ae9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa3d77561, "__pm_runtime_use_autosuspend" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0x7859c676, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaad5deec, "iio_trigger_unregister" },
	{ 0x5a417086, "iio_trigger_free" },
	{ 0x2426e26e, "iio_triggered_buffer_cleanup" },
	{ 0xe256ca91, "__pm_runtime_disable" },
	{ 0x9c82442d, "sensor_hub_device_close" },
	{ 0x5e0e9cba, "hid_sensor_get_usage_index" },
	{ 0xa7229f0, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfc79df4d, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7c38ae3f, "sensor_hub_device_open" },
	{ 0x393ad6ae, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x390b029e, "hid_sensor_set_report_latency" },
	{ 0x53c00e13, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x1d61aa7a, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xd329f179, "iio_triggered_buffer_setup_ext" },
	{ 0x20391248, "iio_device_id" },
	{ 0xb97e1ead, "__iio_trigger_alloc" },
	{ 0x187a477d, "iio_trigger_register" },
	{ 0x80a89d7c, "get_device" },
	{ 0xaf937340, "__module_get" },
	{ 0x8ededc6d, "pm_runtime_set_autosuspend_delay" },
	{ 0x574be016, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8defea65, "pm_runtime_enable" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "4925A92A9B7B92364117342");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
