#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x15145821, "");
SYMBOL_CRC(flow_resources_alloc, 0x21de272a, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xa89a74fc, "");
SYMBOL_CRC(flow_resources_add, 0x2020c7cd, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x2746567c, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xa4f6c201, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x25edf091, "");
SYMBOL_CRC(uverbs_idr_class, 0x49966b46, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x39c28f23, "");
SYMBOL_CRC(uverbs_fd_class, 0x6fd713e7, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x82b8b7e7, "");
SYMBOL_CRC(_uverbs_alloc, 0xc43bf80e, "");
SYMBOL_CRC(uverbs_get_flags64, 0xdc758fc2, "");
SYMBOL_CRC(uverbs_get_flags32, 0x4e49ce64, "");
SYMBOL_CRC(uverbs_copy_to, 0xebc46e0b, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x899cb2ec, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x3fe235f2, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xa437a962, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x10011fc4, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x07b7fdb9, "");
SYMBOL_CRC(ib_umem_get, 0x1b92c49d, "");
SYMBOL_CRC(ib_umem_release, 0xe035a8f8, "");
SYMBOL_CRC(ib_umem_copy_from, 0x3edc9b1a, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x5fd7a5f3, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x06ab9c74, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xf26539f0, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xaaddfb28, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x11de8c97, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x09c61828, "");
SYMBOL_CRC(ib_umem_odp_get, 0xca4605b9, "");
SYMBOL_CRC(ib_umem_odp_release, 0xcebcf1ad, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x420bf8d7, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x4e4cd2d7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c7d40c2, "dma_buf_get" },
	{ 0x44b82bbc, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xd5a43273, "nla_put" },
	{ 0xdaf92920, "ww_mutex_lock" },
	{ 0xe459c491, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x57706eec, "ib_qp_usecnt_inc" },
	{ 0xfee9e805, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3f7580e8, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2b70c82d, "ib_destroy_qp_user" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a110d27, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1531b58c, "rdma_create_user_ah" },
	{ 0x2e8d3a6e, "rdma_destroy_ah_user" },
	{ 0x60c0cfe7, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe8b29c5a, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x1d2f6d06, "__mmdrop" },
	{ 0x7d88016d, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc2f88b3c, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x391b5065, "__mmap_lock_do_trace_start_locking" },
	{ 0x8ff7b20f, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd5fef371, "igrab" },
	{ 0x46481265, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9194ebae, "mmput" },
	{ 0xc8999b87, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x8e676c73, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf9370080, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc898b12, "__mmap_lock_do_trace_released" },
	{ 0x5bd030af, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x84e75fe9, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x307dd80f, "ib_dealloc_xrcd_user" },
	{ 0xd6190ae0, "dma_buf_detach" },
	{ 0x996ef73a, "stream_open" },
	{ 0x80253152, "mmu_interval_notifier_insert" },
	{ 0xdfbc8a86, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xfd6af017, "ib_open_qp" },
	{ 0x1e04b9cc, "ib_dealloc_pd_user" },
	{ 0xd4aaee33, "rdma_get_gid_attr" },
	{ 0xfe0c4c21, "dma_unmap_sg_attrs" },
	{ 0xfc629f34, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xe0a7a06, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xb936df4f, "rdma_query_gid_table" },
	{ 0x2b876da8, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdb2fcd5c, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdca4df04, "ib_attach_mcast" },
	{ 0x2b7689de, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xcacc7762, "ib_destroy_wq_user" },
	{ 0x5d85e999, "put_pid" },
	{ 0x3f8ee911, "class_register" },
	{ 0xae0c9f30, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x29bffd68, "rdma_user_mmap_entry_put" },
	{ 0x4b59069b, "pin_user_pages_fast" },
	{ 0x84a0cfbf, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8008add, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb1751b74, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4c7a983, "ib_unregister_client" },
	{ 0x1dd12a16, "show_class_attr_string" },
	{ 0xf6e836f9, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x711c2f31, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8bb6bc69, "mmu_interval_read_begin" },
	{ 0x493b5aa7, "ib_create_qp_user" },
	{ 0x477fca3a, "dma_resv_wait_timeout" },
	{ 0xc343406a, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xc5e0a0dc, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xd64cc715, "kill_fasync" },
	{ 0x4215b765, "dma_unmap_page_attrs" },
	{ 0x7a04422e, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xb855a914, "fget" },
	{ 0x2d909497, "__put_task_struct" },
	{ 0x1fae6fc3, "ib_query_srq" },
	{ 0x4c9d00c7, "ww_mutex_unlock" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0xef593ae0, "__dynamic_ibdev_dbg" },
	{ 0x8ed0df88, "ib_rdmacg_try_charge" },
	{ 0x67aebed5, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe066f968, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x360612c9, "unpin_user_page_range_dirty_lock" },
	{ 0x612a7e4b, "iput" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xbd4a5fe6, "dma_buf_unpin" },
	{ 0x282ed3d8, "zap_vma_ptes" },
	{ 0x3115d1be, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5fdfc6bf, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6ab30755, "rdma_dev_access_netns" },
	{ 0x80a89d7c, "get_device" },
	{ 0x178309a4, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x51dd42f3, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xc7355cf8, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x67b30dd1, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x99cefdf6, "ib_destroy_srq_user" },
	{ 0xa170fa23, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x6ef0b50b, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3c38594, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd740fa03, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xdbb36dd1, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xb664c307, "ib_modify_qp_with_udata" },
	{ 0xf7038ca6, "ib_register_event_handler" },
	{ 0x807bbc7b, "ib_detach_mcast" },
	{ 0x708ca563, "dma_buf_map_attachment" },
	{ 0x19f480ca, "__free_pages" },
	{ 0x93de2f50, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x1df4b11a, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7ae91703, "compat_ptr_ioctl" },
	{ 0x9d2d45f, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x4443792d, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xdab17058, "fput" },
	{ 0xbce5e028, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x574be016, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xf5bf7a61, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xdc21975d, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "6FA0407CBBF47EB89B26238");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
