#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xe45798e1, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x2ef0abff, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0xaecfb3bb, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x794e8480, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x2f3f4f8f, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x7e9a94fc, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xccf6ac48, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x80bf573d, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xa0b5ed41, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x5da1630a, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xa52fb6f9, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0xe331928b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xb41b755a, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xfcad23be, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fde4fbd, "handle_simple_irq" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x70151bd7, "vb2_ioctl_dqbuf" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0x574be016, "_dev_err" },
	{ 0xd177269c, "vb2_ioctl_create_bufs" },
	{ 0x1947aaf9, "device_add" },
	{ 0xcb2f382e, "input_mt_init_slots" },
	{ 0x660612ed, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6bb3b1, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0xfe83f0bd, "vb2_buffer_done" },
	{ 0xdd123d25, "driver_unregister" },
	{ 0x38a26b92, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61f8c62a, "video_unregister_device" },
	{ 0x71ead84a, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xca26f078, "vb2_ioctl_qbuf" },
	{ 0x56f74a5f, "vb2_fop_mmap" },
	{ 0xdcb76756, "device_del" },
	{ 0xd68e30f6, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x60ed0db3, "vb2_vmalloc_memops" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x11601e46, "__irq_domain_add" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xeceb6512, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4d889e0, "input_event" },
	{ 0x46d6cede, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x7689119d, "v4l2_device_register" },
	{ 0xdf493030, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45bff2cc, "devm_kasprintf" },
	{ 0xb68960e3, "sysfs_remove_group" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9bde2043, "serio_interrupt" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x925f9fde, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4d66882c, "vb2_ops_wait_prepare" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x358379c, "irq_create_mapping_affinity" },
	{ 0x96b0d2ee, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x423b13f6, "input_alloc_absinfo" },
	{ 0x84d60ca8, "vb2_fop_poll" },
	{ 0x8a853f39, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0xcff1db4c, "_dev_printk" },
	{ 0x609cd7c6, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xef25f6ab, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x4168c926, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x28366938, "vb2_ioctl_reqbufs" },
	{ 0x788c007d, "vb2_queue_init" },
	{ 0x55daa693, "input_mt_assign_slots" },
	{ 0x60e49d95, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7bb19d7e, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x40b08a34, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x3e973faf, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5f6f21d8, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf9538ed9, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xfb4c8108, "vb2_ops_wait_finish" },
	{ 0x4895468e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xfc5b0bb2, "input_mt_report_slot_state" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0x81fa2498, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x243ff348, "vb2_ioctl_querybuf" },
	{ 0x9eea56b8, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed73f65c, "v4l2_fh_open" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0xebe4a9b6, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1df07b07, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xca7bdb4d, "video_devdata" },
	{ 0xdccb8500, "irq_set_chip_and_handler_name" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xa3f81ae1, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "2C66390F3CF074EA08DFE7A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
