#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x627aa285, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x71786e11, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xac922267, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x5d9fee90, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xe0349886, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x88f9aedc, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x0874ef86, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x5060547a, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x33c5f89a, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xb530252c, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x71a7b229, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x63cae6a8, "_gpl");
SYMBOL_CRC(dm_get_md, 0xf3c3e8de, "_gpl");
SYMBOL_CRC(dm_hold, 0x56a514a3, "_gpl");
SYMBOL_CRC(dm_device_name, 0xa4e155f8, "_gpl");
SYMBOL_CRC(dm_put, 0x04044f5f, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xc28c936c, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x77bc05e0, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x2e5d9660, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xccb3e366, "_gpl");
SYMBOL_CRC(dm_disk, 0xac8c7923, "_gpl");
SYMBOL_CRC(dm_suspended, 0xfb9d6ad7, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xe6334152, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xc4a1b357, "_gpl");
SYMBOL_CRC(dm_get_device, 0xb7894fbb, "");
SYMBOL_CRC(dm_put_device, 0x6595fc1c, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x7f4f905f, "_gpl");
SYMBOL_CRC(dm_table_event, 0x68301671, "");
SYMBOL_CRC(dm_table_get_size, 0xbc68a6e4, "");
SYMBOL_CRC(dm_table_get_mode, 0x0ee7120e, "");
SYMBOL_CRC(dm_table_get_md, 0x29300b51, "");
SYMBOL_CRC(dm_table_device_name, 0x5ff138b8, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xf02bc9d7, "");
SYMBOL_CRC(dm_register_target, 0x4cb73362, "");
SYMBOL_CRC(dm_unregister_target, 0xa2f3378b, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x6c24852f, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x288009d1, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x3ab660fd, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xc008f29a, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x0c06d844, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x2ff2c6ab, "kobject_uevent_env" },
	{ 0xbe7d5e1d, "bio_put" },
	{ 0xbc4f470e, "blk_crypto_intersect_capabilities" },
	{ 0x60939b5b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xd7018d2, "__SCK__tp_func_block_bio_remap" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x1ba031b0, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x9e441604, "blkdev_get_by_dev" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85e9d989, "thaw_bdev" },
	{ 0x323ec767, "set_capacity" },
	{ 0x57b38f75, "submit_bio_noacct" },
	{ 0xfa7b8b74, "noop_llseek" },
	{ 0xb8b0fb54, "blk_integrity_compare" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3a7b9377, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xdd831195, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf2c9add3, "dax_remove_host" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x276150db, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf6653581, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x44979e28, "kobject_init_and_add" },
	{ 0x1052e962, "zero_fill_bio_iter" },
	{ 0xc4bd6cf7, "bio_add_page" },
	{ 0xd96132ae, "crypto_shash_update" },
	{ 0x8b557d61, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x45b1c82b, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x93b4af28, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x93c06967, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d5e79f7, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x32351ec8, "misc_register" },
	{ 0x4bdc1840, "blk_crypto_evict_key" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaea0e87e, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fc5d856, "audit_log_start" },
	{ 0x573bddb2, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2aa41caa, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa89abe73, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7e78a7a9, "bio_uninit" },
	{ 0x9803fb79, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0xf7517765, "bioset_init" },
	{ 0xb3171c6e, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8e676c73, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xbf55d11d, "__tracepoint_block_bio_remap" },
	{ 0xbcc9489d, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4cda4c54, "bd_link_disk_holder" },
	{ 0xf8a61de6, "blk_mq_start_request" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x240baf24, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e0faf00, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0x7c782681, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x526c7198, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6a931a51, "bio_alloc_bioset" },
	{ 0x53b954a2, "up_read" },
	{ 0x6260e897, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x16f0cce8, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcf64484f, "bdev_end_io_acct" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe7ede78d, "kmem_cache_destroy" },
	{ 0xb81cdef, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5df95022, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd34c3015, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xee312af2, "set_disk_ro" },
	{ 0xe0820ce3, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc889c586, "blk_integrity_register" },
	{ 0xb8008add, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x90230e0a, "misc_deregister" },
	{ 0x69a42c15, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb9a86a9a, "param_ops_uint" },
	{ 0x27da0a04, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3fffbab0, "bio_split_to_limits" },
	{ 0x6865a646, "vmalloc_to_page" },
	{ 0x475f8e96, "disk_update_readahead" },
	{ 0xe570dddc, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0xb774fff8, "fs_dax_get_by_bdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x88ea6604, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x408368, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6bc63f8e, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5fcc25b6, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x30a5bf3a, "blk_rq_prep_clone" },
	{ 0xb90dec5b, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xecfbfee9, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a2aa419, "blk_crypto_profile_init" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x5f9bdf5e, "freeze_bdev" },
	{ 0xa57d6141, "blk_queue_write_cache" },
	{ 0xe3354553, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbd945ae2, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x7d3e422f, "kmem_cache_create" },
	{ 0x1daa0bef, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x6acc43c7, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb6853e3e, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2930bc0, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x11de56c, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x5420c6a8, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x69db9c2c, "bioset_integrity_create" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcd2a2ca, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xef9efc07, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb494471, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe24eb0e3, "bdev_nr_zones" },
	{ 0xfe7454d7, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x81775236, "blk_queue_flag_set" },
	{ 0xdbd4ca56, "kmalloc_node_trace" },
	{ 0x367caac7, "__SCK__tp_func_block_split" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xf0e4e9f9, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x19f480ca, "__free_pages" },
	{ 0x23a4c79c, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xdaedca3c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcc85b8e4, "submit_bio" },
	{ 0xfaac3013, "blk_crypto_has_capabilities" },
	{ 0x9fb75281, "dax_add_host" },
	{ 0x23fad4bd, "blk_queue_flag_clear" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe6ab1c2, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb03af807, "bioset_exit" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "646381065951C764AA08609");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
