#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_integrity_add_rdev, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_init_writes_pending, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0x15b8f89b, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x7d2b7d97, "");
SYMBOL_CRC(mddev_suspend, 0x3e770497, "_gpl");
SYMBOL_CRC(mddev_resume, 0xe4cd5c35, "_gpl");
SYMBOL_CRC(md_flush_request, 0x92da07d5, "");
SYMBOL_CRC(mddev_init, 0x09d4ffa0, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x97633020, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0xf31af8ce, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x7868b1c9, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0xb602c2fc, "_gpl");
SYMBOL_CRC(sync_page_io, 0x6bcb6485, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x80eab5e7, "");
SYMBOL_CRC(md_integrity_register, 0x6eb39366, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x5d75aa06, "");
SYMBOL_CRC(md_update_sb, 0x7c3072b4, "");
SYMBOL_CRC(md_rdev_init, 0x596f031f, "_gpl");
SYMBOL_CRC(mddev_init_writes_pending, 0x7ae8ba79, "_gpl");
SYMBOL_CRC(md_run, 0x69928a2b, "_gpl");
SYMBOL_CRC(md_start, 0x7696a03d, "_gpl");
SYMBOL_CRC(md_stop_writes, 0xf55b492d, "_gpl");
SYMBOL_CRC(md_stop, 0x7920ac0d, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xe0e6371d, "");
SYMBOL_CRC(md_wakeup_thread, 0x8bb1eef6, "");
SYMBOL_CRC(md_register_thread, 0x6b572891, "");
SYMBOL_CRC(md_unregister_thread, 0x8a4aaef7, "");
SYMBOL_CRC(md_error, 0xe2878091, "");
SYMBOL_CRC(register_md_personality, 0xce988130, "");
SYMBOL_CRC(unregister_md_personality, 0x3a8d9d89, "");
SYMBOL_CRC(register_md_cluster_operations, 0x05526edb, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xede90a7c, "");
SYMBOL_CRC(md_write_start, 0xe1ef38e6, "");
SYMBOL_CRC(md_write_inc, 0x9dda2329, "");
SYMBOL_CRC(md_write_end, 0x08f48ff0, "");
SYMBOL_CRC(md_submit_discard_bio, 0x732765ff, "_gpl");
SYMBOL_CRC(md_account_bio, 0x9c432aca, "_gpl");
SYMBOL_CRC(md_allow_write, 0xcd58e486, "_gpl");
SYMBOL_CRC(md_do_sync, 0x87bc60e2, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x27d30100, "");
SYMBOL_CRC(md_reap_sync_thread, 0xaed262bc, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x033c1d55, "");
SYMBOL_CRC(md_finish_reshape, 0x7e9194a6, "");
SYMBOL_CRC(rdev_set_badblocks, 0xf6cba8e5, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x9c54e284, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x8a20322f, "");
SYMBOL_CRC(md_bitmap_update_sb, 0x6ec96670, "");
SYMBOL_CRC(md_bitmap_unplug, 0xd65ef07b, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x92eca140, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x5bb5f2bb, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xcdca846b, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x5a0d9c00, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x3bb0d8a4, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x1b7482d5, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x1c4f934d, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0xc47b1c2e, "");
SYMBOL_CRC(md_bitmap_free, 0x2ae8f878, "");
SYMBOL_CRC(md_bitmap_load, 0xe2ecf09f, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x4e9d3abc, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0xbb25eb85, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0xde30d642, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x93b4af28, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x93c06967, "bio_init" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d5e79f7, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x3ed5653, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa204b4e4, "kthread_create_on_node" },
	{ 0xb68960e3, "sysfs_remove_group" },
	{ 0x782c0c7b, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfe561f55, "kobject_del" },
	{ 0xd5a6aa33, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0xf7517765, "bioset_init" },
	{ 0xb2df836a, "file_path" },
	{ 0x72a0852a, "kernfs_put" },
	{ 0x8e676c73, "alloc_pages" },
	{ 0x55081a22, "sysfs_break_active_protection" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xc7b7e123, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x87a64503, "remove_proc_entry" },
	{ 0xf301c173, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe4bb4e43, "kobject_uevent" },
	{ 0xbf55d11d, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4cda4c54, "bd_link_disk_holder" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7f543f52, "seq_open" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x7c3fb335, "badblocks_clear" },
	{ 0x5b4f051d, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfcfb1d5d, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6a931a51, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42c795b0, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xc7ec74ab, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5df95022, "kobject_put" },
	{ 0x84988361, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xee312af2, "set_disk_ro" },
	{ 0xe0820ce3, "__blk_alloc_disk" },
	{ 0xc889c586, "blk_integrity_register" },
	{ 0xb8008add, "try_module_get" },
	{ 0xac30f212, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xa0e3d2ac, "__bio_add_page" },
	{ 0x69a42c15, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2bef827, "proc_create" },
	{ 0x3fffbab0, "bio_split_to_limits" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfeceb918, "seq_release" },
	{ 0xe570dddc, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x19247783, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb855a914, "fget" },
	{ 0xbe908cfe, "sysfs_unbreak_active_protection" },
	{ 0x5f00c018, "invalidate_mapping_pages" },
	{ 0x8ae146f4, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x86d1d39, "badblocks_exit" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xa57d6141, "blk_queue_write_cache" },
	{ 0xd667da3c, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x83b32db7, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x80100e68, "kernfs_notify" },
	{ 0x1c054d9e, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x87d6752d, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xabdebbbe, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x8b61538b, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69db9c2c, "bioset_integrity_create" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0xcd2a2ca, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6842627e, "badblocks_init" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0xc5076710, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xdbbb02fe, "sync_blockdev" },
	{ 0x4c36daf3, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x81775236, "blk_queue_flag_set" },
	{ 0xf0e4e9f9, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdaedca3c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcc85b8e4, "submit_bio" },
	{ 0x23fad4bd, "blk_queue_flag_clear" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x6571d296, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc0acf86e, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb03af807, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xd9bba75e, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xbe7d5e1d, "bio_put" },
	{ 0x60939b5b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd7018d2, "__SCK__tp_func_block_bio_remap" },
	{ 0xdab17058, "fput" },
	{ 0x5234b784, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xae393ea4, "sysfs_remove_link" },
	{ 0x9e441604, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x57b38f75, "submit_bio_noacct" },
	{ 0xb8b0fb54, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x187718c1, "blk_sync_queue" },
	{ 0x7e5f8291, "seq_file_path" },
	{ 0xcf6d9964, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x276150db, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x3993de19, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x45b1c82b, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x71ead84a, "sysfs_create_group" },
	{ 0xb85d3358, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "44CCED3E0ABC5154F42151B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
