#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xdd497d93, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x3934b799, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xdf5274b3, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x5766a25a, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xa290219e, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x677ed49e, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x32683726, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x1b716e79, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x843f5f70, "_gpl");
SYMBOL_CRC(can_bus_off, 0xfd901082, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xd3a9fb9e, "_gpl");
SYMBOL_CRC(free_candev, 0x8322abb3, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xad5c1f8f, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x12ea9dd5, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x737fd7b6, "");
SYMBOL_CRC(open_candev, 0x8ed7781f, "_gpl");
SYMBOL_CRC(close_candev, 0x6837dfab, "_gpl");
SYMBOL_CRC(register_candev, 0x1532a42a, "_gpl");
SYMBOL_CRC(unregister_candev, 0x54870b51, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x201ec389, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xafe13d3c, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x7addc9ad, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x20ce5b9e, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xc15e4c4c, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x81b7fd73, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x4ccbea6c, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x45fc407e, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xbdfda36f, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xf6fcd146, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0xdc5cb8cd, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xe725ee71, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x87521b27, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xef96c8bc, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x038d5963, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68e7dd22, "unregister_netdev" },
	{ 0x2178a669, "skb_dequeue" },
	{ 0xc6a23dc5, "rtnl_link_register" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x30578e2b, "netdev_warn" },
	{ 0x24fc54fc, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x676a57f3, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x55589d7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40f87ed0, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e0a30a9, "napi_complete_done" },
	{ 0x4341b14f, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6dfdc556, "__napi_schedule" },
	{ 0xc5290ef5, "device_property_read_u32_array" },
	{ 0xca8d5aec, "rtnl_link_unregister" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x547699d6, "napi_enable" },
	{ 0x43a93dea, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x55e049d5, "register_netdev" },
	{ 0xfcb097e1, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x855dd1df, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8fa7e63b, "netif_rx" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0x44baaefb, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b8d2251, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x729954ac, "skb_clone" },
	{ 0x24b2180a, "netif_carrier_on" },
	{ 0xe0dffcae, "dev_err_probe" },
	{ 0xe8ac54df, "napi_schedule_prep" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9f1e055, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7b58647f, "skb_put" },
	{ 0xe05b6d3f, "gpiod_set_value" },
	{ 0xb097112d, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0x710eaebd, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19924326AF55730FADE0FB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
