#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0xcde27e4f, "genphy_soft_reset" },
	{ 0x73bddd11, "genphy_read_mmd_unsupported" },
	{ 0xf6de8af7, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90ce7124, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x449ea1a0, "genphy_suspend" },
	{ 0xa8a91927, "mdiobus_read" },
	{ 0x8fc184d3, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc87bcedc, "phy_write_mmd" },
	{ 0x77a6c2aa, "mdiobus_write" },
	{ 0x58fd87d3, "genphy_read_status" },
	{ 0x16987828, "phy_modify" },
	{ 0x5732c2cc, "phy_read_mmd" },
	{ 0x4056f46f, "genphy_restart_aneg" },
	{ 0xab604a0b, "phy_trigger_machine" },
	{ 0xcd2346e7, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x68a19fbc, "ptp_classify_raw" },
	{ 0x41d1b258, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x637e1a25, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb315b4d, "ptp_cancel_worker_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7256ad3a, "__mdiobus_write" },
	{ 0xac3bf04, "__mdiobus_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x574be016, "_dev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7114529, "phy_drivers_unregister" },
	{ 0x68272b71, "__genphy_config_aneg" },
	{ 0xee3dad5b, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x1ac3fee6, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ab79f8d, "phy_modify_mmd" },
	{ 0x40f87ed0, "skb_queue_purge_reason" },
	{ 0x3f827418, "ptp_find_pin_unlocked" },
	{ 0xf4bf0cdb, "ptp_clock_event" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xdb47c551, "devm_phy_package_join" },
	{ 0x24fc54fc, "devm_gpiod_get_optional" },
	{ 0x2bab61ea, "gpiod_set_consumer_name" },
	{ 0xf49cec9d, "gpiod_set_value_cansleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbd9d7934, "ptp_clock_register" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x8fa7e63b, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb5220ab2, "ethnl_cable_test_result" },
	{ 0xd4b0cbe3, "ethnl_cable_test_fault_length" },
	{ 0x7e503166, "devm_clk_get" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "CEE88EF906846BE5F358912");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
