#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x91dcf440, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x8b4d4ec4, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xe2b81648, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xc0dbcbc5, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xc71200da, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x53a1771f, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x3d6c6124, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x1698f12f, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x7e2dd17c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55589d7, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x8a1e2f09, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xae0c9f30, "cdev_init" },
	{ 0x553a5249, "cdev_add" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7fb27189, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3b0e78b, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x67c75fe3, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6848c712, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb430b6a9, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x141644ba, "skb_copy_datagram_iter" },
	{ 0x7d2743f1, "_copy_to_iter" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x15a5f56e, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x18e74184, "__skb_gso_segment" },
	{ 0xbbf57d50, "__skb_get_hash" },
	{ 0x635602a5, "skb_checksum_help" },
	{ 0xc900b8e1, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x8d64e10a, "__skb_flow_dissect" },
	{ 0xad0dd60e, "skb_partial_csum_set" },
	{ 0x11eb23f, "__pskb_pull_tail" },
	{ 0x4c90882b, "sock_alloc_send_pskb" },
	{ 0x7b58647f, "skb_put" },
	{ 0xa476a4de, "zerocopy_sg_from_iter" },
	{ 0xb40569a5, "__dev_queue_xmit" },
	{ 0x50fe821, "_copy_from_iter" },
	{ 0xbb0f3de5, "skb_copy_datagram_from_iter" },
	{ 0x5074530d, "iov_iter_npages" },
	{ 0x1b75e14c, "iov_iter_revert" },
	{ 0x5da2678f, "skb_copy_bits" },
	{ 0x575ed249, "build_skb" },
	{ 0x7ae91703, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
