#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x5b8a7b31, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xb73b971c, "");
SYMBOL_CRC(team_options_register, 0x1cb07440, "");
SYMBOL_CRC(team_options_unregister, 0xce0b90c2, "");
SYMBOL_CRC(team_option_inst_set_change, 0x59dd536c, "");
SYMBOL_CRC(team_options_change_check, 0xdcfcb1bb, "");
SYMBOL_CRC(team_mode_register, 0xc99efd95, "");
SYMBOL_CRC(team_mode_unregister, 0xc0fc2d5a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb8008add, "try_module_get" },
	{ 0x9f1e055, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0x1558dda6, "__nlmsg_put" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x30578e2b, "netdev_warn" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe7ec3601, "__ethtool_get_link_ksettings" },
	{ 0x642124fe, "netdev_upper_dev_unlink" },
	{ 0x1b76a4d0, "netdev_rx_handler_unregister" },
	{ 0x26ea3a1c, "vlan_vids_del_by_dev" },
	{ 0x5b1cbce, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x44d6dbf0, "netdev_change_features" },
	{ 0x69fac60b, "netdev_has_upper_dev" },
	{ 0x172d4c7e, "dev_uc_flush" },
	{ 0x4b190021, "dev_mc_flush" },
	{ 0x2c66cedc, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xddb9b0ea, "dev_open" },
	{ 0xac2e4adb, "vlan_vids_add_by_dev" },
	{ 0x90a314c9, "netdev_rx_handler_register" },
	{ 0x448fc888, "netdev_master_upper_dev_link" },
	{ 0x4ca2c70e, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcfd3dae2, "ethtool_op_get_link" },
	{ 0xbd9742bf, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae6d8011, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x19c0019b, "netlink_unicast" },
	{ 0xa4c7e738, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x24b2180a, "netif_carrier_on" },
	{ 0x9b8d2251, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e14f959, "dev_set_allmulti" },
	{ 0x94b8aeaf, "dev_set_promiscuity" },
	{ 0x3737de5c, "dev_uc_unsync" },
	{ 0xa2fe0938, "dev_mc_unsync" },
	{ 0x3cb4dbe6, "dev_set_mtu" },
	{ 0x55589d7, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x44baaefb, "__dynamic_netdev_dbg" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0xd7b4dea9, "dev_uc_sync_multiple" },
	{ 0xc9ed01f4, "dev_mc_sync_multiple" },
	{ 0xa3514aac, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x32821bbd, "vlan_vid_del" },
	{ 0xcc8663fd, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xeb95c3c4, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcf4609c8, "__alloc_skb" },
	{ 0x1cda0eff, "genlmsg_put" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0xfa0e2b98, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x76762ba1, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc6a23dc5, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6156756e, "genl_register_family" },
	{ 0xca8d5aec, "rtnl_link_unregister" },
	{ 0x3be96729, "genl_unregister_family" },
	{ 0x6c7692bb, "netlink_broadcast" },
	{ 0x729954ac, "skb_clone" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb40569a5, "__dev_queue_xmit" },
	{ 0x2aa41caa, "pv_ops" },
	{ 0xc0b7e14e, "netpoll_send_skb" },
	{ 0xdf650bdf, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdd5fcf9, "__netpoll_setup" },
	{ 0x411915fc, "__netpoll_free" },
	{ 0xd5a43273, "nla_put" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x248b24c, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
