#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x745e1b85, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0xeaf215e7, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x822fa941, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x4bbff291, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xdb187313, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x0f7900df, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x9fe0cfe1, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x4f9d489c, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xc32bc346, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x85930717, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x1bd354e8, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x0cafa83c, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xd6c0a7cd, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x7728f20e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbc290329, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x768561c9, "skb_pull" },
	{ 0x1223e30b, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x35a1ad05, "ath9k_hw_set_txpowerlimit" },
	{ 0xb0fa0b49, "ath_hw_keyreset" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "D210CAF3DE9D09A9F2F5BF2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
