#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x8d55e25b, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xc847d735, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xcde383cd, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x70ed5791, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x4a17e8dd, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x54908ecd, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x8aa30b77, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xb38b47f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xf0068bee, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x2384f5d4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xa130f8d3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xbb8f0851, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xb4344648, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x4f50e937, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xb8b37f65, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0xed1a2bf2, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x841f5301, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x1ebd74d0, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x387744c1, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xd6360700, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x9ff6cb8d, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xa19fe207, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x735f6ab7, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xb2e435ff, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x9a94ae5a, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x0ba41e32, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xf90bece7, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x6318cf92, "_gpl");
SYMBOL_CRC(mt76_rx, 0x11553f9b, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x028b92a9, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xac21cf82, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x7a6de93f, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xb072de17, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x8a3ad2fc, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xb1c1e2df, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xc6f3d328, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x561ea123, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x0c473b72, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x38b9c089, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xd2d6bec2, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xfe0da73a, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x5df7161f, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xdc724196, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x7cd5c9de, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x4c76a279, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xe1606c8b, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x55d0ff24, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xd7c0436e, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xe1af933d, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x5bcbdfc6, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x60fa20cc, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x148b72d0, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xe6f8abfd, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x3b8608d1, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x5da0ec0a, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xc0a6f503, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x52cc4e63, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xd66d4075, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xf214d279, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0xb623afc4, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x8faca558, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x91f14843, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xc1feed39, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xe1642ad2, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x421b457b, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x9431ee46, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xe98f4710, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x7b664215, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x1083a024, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x0ec15e98, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xc6989224, "_gpl");
SYMBOL_CRC(mt76_tx, 0x5e512321, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x09aa1c44, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x6f3e6f19, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x7f7ea8bf, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x948ee685, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x265a68a4, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x63efba08, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xf4596bc4, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xf2ce8064, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xa5dfa15c, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x721cb5e1, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x73ebb967, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xca7ce542, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x38c45c57, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x93151a44, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x046a4a2a, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xf44cb2d9, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x5e20a8f5, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xac590ba8, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xabfedea2, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x5bcf31f6, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xeb7ee106, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x9fa99ad7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xf4c63659, "page_pool_destroy" },
	{ 0x37f52067, "ieee80211_register_hw" },
	{ 0xbe8f0cba, "led_classdev_unregister" },
	{ 0x9f5a914b, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xab9ba91e, "ieee80211_sta_eosp" },
	{ 0xbc290329, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x676a57f3, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa247b864, "kthread_park" },
	{ 0xf863f110, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xabdebbbe, "wake_up_process" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3c38594, "dma_map_page_attrs" },
	{ 0x8e0a30a9, "napi_complete_done" },
	{ 0xb6dfa8e, "ieee80211_get_tx_rates" },
	{ 0x44e5911b, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb821900c, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81c39fd5, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf4609c8, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x638265ef, "pci_disable_link_state" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x9728f9e4, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x643d46d9, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa49df089, "debugfs_attr_read" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf31f1d56, "ieee80211_queue_delayed_work" },
	{ 0x9cd6efb5, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0xfef5c0f4, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa5842604, "simple_attr_release" },
	{ 0x712197e5, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeeb518c0, "ieee80211_find_sta_by_ifaddr" },
	{ 0xe4dee86, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc359a975, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x547699d6, "napi_enable" },
	{ 0xa336aac7, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0xc174e4d9, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb85d3358, "kthread_stop" },
	{ 0x9ae1f820, "ieee80211_free_txskb" },
	{ 0x601c6e, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x947409b4, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x8f19f922, "ieee80211_tx_dequeue" },
	{ 0xc64f2de1, "ieee80211_rx_list" },
	{ 0xbe9c7bd, "dma_sync_single_for_cpu" },
	{ 0x599bb6a9, "page_pool_create" },
	{ 0xb8c3cdef, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e21fdc2, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa204b4e4, "kthread_create_on_node" },
	{ 0xa2ac9e3d, "cfg80211_reg_can_beacon" },
	{ 0x1a5e4b4b, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x2a42faf9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7a88faca, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5b93a259, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x139419fd, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x739bb041, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x94b235f0, "debugfs_create_u8" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfd847f96, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xb25cee32, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbb474757, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa06c9991, "pcie_capability_read_word" },
	{ 0x8158ffb7, "__skb_pad" },
	{ 0xbd648ce2, "page_pool_get_stats" },
	{ 0x9430246, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x89275efd, "__ieee80211_schedule_txq" },
	{ 0x312f7dee, "debugfs_attr_write" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xca3140d1, "page_pool_alloc_frag" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x710eaebd, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd3230c02, "dmam_alloc_attrs" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x2178a669, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5061fdaf, "ieee80211_free_hw" },
	{ 0x4215b765, "dma_unmap_page_attrs" },
	{ 0x141b2924, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd44bca74, "dma_sync_single_for_device" },
	{ 0x73e18d36, "skb_add_rx_frag" },
	{ 0x2f97b20f, "ieee80211_tx_status_ext" },
	{ 0xc0829f7a, "debugfs_create_blob" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
