#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x27dea4aa, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xb41e2362, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xbb81fb0b, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x3232eae2, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x23f06d75, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x847247f5, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x11190a0a, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xd8e7ae66, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x69fb887a, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x16bbd2a0, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xda3da12e, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xf5220dbe, "");
SYMBOL_CRC(rtw89_pm_ops, 0x857fa9f3, "");
SYMBOL_CRC(rtw89_pci_probe, 0x56f01b45, "");
SYMBOL_CRC(rtw89_pci_remove, 0x6a89b0ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x946bbc2, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb56acb81, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9b2f48ab, "pci_iounmap" },
	{ 0xbe9c7bd, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x610cb310, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe466054a, "ieee80211_tx_status" },
	{ 0xb82e4e8b, "rtw89_ser_notify" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0x27b43457, "skb_unlink" },
	{ 0xf88c488a, "dma_set_coherent_mask" },
	{ 0x995acf20, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9a1596b5, "dma_free_attrs" },
	{ 0x9a722643, "rtw89_core_rx" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0xd8b49edd, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x52597808, "rtw89_core_deinit" },
	{ 0x780700e9, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x851aeea4, "pci_disable_device" },
	{ 0x384122eb, "dma_set_mask" },
	{ 0xe8ac54df, "napi_schedule_prep" },
	{ 0x369b851f, "pci_read_config_byte" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0x2c3fab09, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf4119b3a, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x900b76d6, "rtw89_chip_info_setup" },
	{ 0x1ed9c105, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa06c9991, "pcie_capability_read_word" },
	{ 0x93111e90, "pci_find_ext_capability" },
	{ 0x60cdc5e4, "rtw89_alloc_ieee80211_hw" },
	{ 0x7bb19d7e, "devm_request_threaded_irq" },
	{ 0x24eb511e, "pci_enable_device" },
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0x20d877db, "pci_iomap" },
	{ 0x4d02b8b9, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x2178a669, "skb_dequeue" },
	{ 0x4215b765, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd44bca74, "dma_sync_single_for_device" },
	{ 0x674b0928, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb9b9d4ef, "rtw89_core_napi_init" },
	{ 0x64de7e93, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0x2fd01dbd, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3c38594, "dma_map_page_attrs" },
	{ 0x8e0a30a9, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfe8e9dd8, "devm_free_irq" },
	{ 0x6dfdc556, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf0c7c03c, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x574be016, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfeb7d1a9, "rtw89_core_napi_deinit" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x15716467, "dma_alloc_attrs" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "9AA8EFB7B61C17965C16C0E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
