#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xa211fc3c, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x6ea218d4, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x87b5ab7c, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xc27a0af5, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xc268073a, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x3a2e900d, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x36f97264, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x846d08ac, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x3f6fa0db, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x136c71c0, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x40b4a424, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xf344c329, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x2bcf3cdb, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xf370c3d7, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x21b72072, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xf252ad3a, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x54603a4e, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x54a440f7, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xfe05f5f1, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x425c5c1f, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x8ab8f25f, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x5266e165, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xcc466911, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x3926fd56, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x3dd0e517, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x7b5aef26, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x757c32d9, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x54c65ac8, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x53a977af, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x99f0ae5e, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xb1d3945b, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x6b56b9a1, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x105ddb11, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xbc508a34, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x922bb293, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x777a52bc, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xf69fbdeb, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xe3f53ff1, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xbd986593, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xe9d423b4, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x6443f614, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x8ff9491c, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xd0fd19f7, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xb330cc88, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x749f70a2, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x00836712, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x4db6691a, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xde127cbd, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x0646c444, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x8add9925, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x32d74a7c, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xde857edc, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xfb7ce3e6, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xdc01cb5f, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x0559dee9, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xc3736d16, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xf88bbb69, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x56fc72fb, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xdb64f805, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81775236, "blk_queue_flag_set" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x33944a69, "blk_mq_free_request" },
	{ 0x7d30a228, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x19f480ca, "__free_pages" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x4b7aa1d7, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc0acf86e, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7ae91703, "compat_ptr_ioctl" },
	{ 0xc9cfa343, "t10_pi_type3_crc" },
	{ 0xba75029c, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xda504d84, "blk_mq_quiesce_tagset" },
	{ 0x2ff2c6ab, "kobject_uevent_env" },
	{ 0x60939b5b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0xd7018d2, "__SCK__tp_func_block_bio_remap" },
	{ 0x574be016, "_dev_err" },
	{ 0x60d7ce7d, "blk_revalidate_disk_zones" },
	{ 0x6eeb30a8, "debugfs_create_bool" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1947aaf9, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf5fc6b3c, "blk_rq_map_user_io" },
	{ 0xae393ea4, "sysfs_remove_link" },
	{ 0x5539d687, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xc9ea3def, "hwmon_device_register_with_info" },
	{ 0x323ec767, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x57b38f75, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x89a8c9f7, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x187718c1, "blk_sync_queue" },
	{ 0x3a7b9377, "bdev_start_io_acct" },
	{ 0x25caa985, "bio_integrity_add_page" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3865e7ca, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x91f48a98, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e288e7e, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8b557d61, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x45b1c82b, "del_gendisk" },
	{ 0x5c1e269d, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa892a1c, "bio_integrity_alloc" },
	{ 0x4b3e4e83, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x7b7cd0fd, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xdf5c55f0, "blk_put_queue" },
	{ 0x26a860dc, "bpf_trace_run1" },
	{ 0xdcb76756, "device_del" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x6c57c835, "blk_mq_wait_quiesce_done" },
	{ 0xf7b5e4f3, "param_ops_charp" },
	{ 0x6ffeaded, "blk_queue_max_segments" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x59406476, "io_uring_cmd_do_in_task_lazy" },
	{ 0x29418df3, "blk_mq_init_queue" },
	{ 0x40198be9, "debugfs_create_x16" },
	{ 0xe1f9b51e, "io_uring_cmd_done" },
	{ 0xa844da3e, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x745a981, "xa_erase" },
	{ 0x1a5e4b4b, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x33540f54, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa89abe73, "blk_mq_complete_request" },
	{ 0xf7a65a1f, "blk_queue_chunk_sectors" },
	{ 0xeb820b80, "blk_queue_max_write_zeroes_sectors" },
	{ 0xaa29a90c, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0x954f49c1, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xdfddb645, "blk_freeze_queue_start" },
	{ 0x8f713fcd, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x8e676c73, "alloc_pages" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf3aa8e45, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9c8fcd07, "blk_queue_io_min" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x1e566955, "hwmon_device_unregister" },
	{ 0xbf55d11d, "__tracepoint_block_bio_remap" },
	{ 0x591d34bb, "blk_mq_unfreeze_queue" },
	{ 0x7b085fb5, "blk_mq_tagset_busy_iter" },
	{ 0xea6758ab, "blkdev_compat_ptr_ioctl" },
	{ 0xbe8b5ae2, "blk_rq_map_user_iov" },
	{ 0x8d5f4a25, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x46f5602b, "blk_queue_max_hw_sectors" },
	{ 0x8e0faf00, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xf4962d4a, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x26961ad9, "blk_mq_freeze_queue_wait" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0x36bf1267, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x3645459c, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6260e897, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xae0c9f30, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcf64484f, "bdev_end_io_acct" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xd032daed, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x84988361, "set_capacity_and_notify" },
	{ 0xd34c3015, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xee312af2, "set_disk_ro" },
	{ 0xe0820ce3, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc889c586, "blk_integrity_register" },
	{ 0xb8008add, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x3c548644, "device_remove_file_self" },
	{ 0xb9a86a9a, "param_ops_uint" },
	{ 0x27da0a04, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbef0ea83, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x827ce054, "dev_set_name" },
	{ 0xe5dda8bd, "ext_pi_type3_crc64" },
	{ 0x3fffbab0, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x475f8e96, "disk_update_readahead" },
	{ 0x85841d48, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xe570dddc, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xd5e1a377, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc343406a, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7a6aa86a, "class_destroy" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x380cee23, "should_fail" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0xb90dec5b, "blk_mq_unquiesce_queue" },
	{ 0x84070248, "t10_pi_type1_crc" },
	{ 0xfb39061d, "blk_queue_dma_alignment" },
	{ 0xecfbfee9, "blk_mq_quiesce_queue" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0xa7f8afc0, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xa57d6141, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3991a48f, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x79197321, "param_ops_byte" },
	{ 0x80a89d7c, "get_device" },
	{ 0x1daa0bef, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19deb10d, "__blk_mq_alloc_disk" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb6853e3e, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2930bc0, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x11de56c, "blk_mq_alloc_tag_set" },
	{ 0xa4d85b54, "blk_rq_is_poll" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcd2a2ca, "put_disk" },
	{ 0xd740fa03, "cdev_device_add" },
	{ 0x4e03d8ac, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbc0f5c30, "blk_queue_physical_block_size" },
	{ 0x8d80caa3, "blk_execute_rq" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xff1aa500, "blk_mq_unquiesce_tagset" },
	{ 0x692a89cf, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0xdbd4ca56, "kmalloc_node_trace" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "B11DEDE53038E920196E749");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
