#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__parport_register_driver, "", "");
KSYMTAB_FUNC(parport_unregister_driver, "", "");
KSYMTAB_FUNC(parport_get_port, "", "");
KSYMTAB_FUNC(parport_del_port, "", "");
KSYMTAB_FUNC(parport_put_port, "", "");
KSYMTAB_FUNC(parport_register_port, "", "");
KSYMTAB_FUNC(parport_announce_port, "", "");
KSYMTAB_FUNC(parport_remove_port, "", "");
KSYMTAB_FUNC(parport_register_dev_model, "", "");
KSYMTAB_FUNC(parport_unregister_device, "", "");
KSYMTAB_FUNC(parport_find_number, "", "");
KSYMTAB_FUNC(parport_find_base, "", "");
KSYMTAB_FUNC(parport_claim, "", "");
KSYMTAB_FUNC(parport_claim_or_block, "", "");
KSYMTAB_FUNC(parport_release, "", "");
KSYMTAB_FUNC(parport_irq_handler, "", "");
KSYMTAB_FUNC(parport_negotiate, "", "");
KSYMTAB_FUNC(parport_write, "", "");
KSYMTAB_FUNC(parport_read, "", "");
KSYMTAB_FUNC(parport_wait_peripheral, "", "");
KSYMTAB_FUNC(parport_wait_event, "", "");
KSYMTAB_FUNC(parport_set_timeout, "", "");
KSYMTAB_FUNC(parport_ieee1284_interrupt, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_write_compat, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_nibble, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_byte, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_addr, "", "");

SYMBOL_CRC(__parport_register_driver, 0xcd3f719c, "");
SYMBOL_CRC(parport_unregister_driver, 0x064fdae6, "");
SYMBOL_CRC(parport_get_port, 0x711a8e12, "");
SYMBOL_CRC(parport_del_port, 0xa9c2b33f, "");
SYMBOL_CRC(parport_put_port, 0x8e359971, "");
SYMBOL_CRC(parport_register_port, 0x05968452, "");
SYMBOL_CRC(parport_announce_port, 0xb801de61, "");
SYMBOL_CRC(parport_remove_port, 0xf2320ae6, "");
SYMBOL_CRC(parport_register_dev_model, 0x239fedb9, "");
SYMBOL_CRC(parport_unregister_device, 0x19f0209b, "");
SYMBOL_CRC(parport_find_number, 0xba6cef62, "");
SYMBOL_CRC(parport_find_base, 0x02c9cddc, "");
SYMBOL_CRC(parport_claim, 0xe8694f5d, "");
SYMBOL_CRC(parport_claim_or_block, 0x65567bc2, "");
SYMBOL_CRC(parport_release, 0x99abca64, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0x833eb0c5, "");
SYMBOL_CRC(parport_write, 0x4d407347, "");
SYMBOL_CRC(parport_read, 0x1fa0371b, "");
SYMBOL_CRC(parport_wait_peripheral, 0xd2538f72, "");
SYMBOL_CRC(parport_wait_event, 0x9eb79426, "");
SYMBOL_CRC(parport_set_timeout, 0xa184da5a, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0xaf82b3c9, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0x9f112684, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0xacdc8e7b, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0x80b11334, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0x3f8e3332, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0x7262d6a3, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0x84f318df, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0xad0ab3f8, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0x87ad256d, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0xb81d0c8a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80a89d7c, "get_device" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2683b657, "bus_for_each_dev" },
	{ 0xeb95c3c4, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xdd123d25, "driver_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0x54362e31, "device_register" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xef25f6ab, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4168c926, "bus_register" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xb8008add, "try_module_get" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4c8fcdeb, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x2e5ed46f, "bus_for_each_drv" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "69342302925CA76C7D74AD3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
