#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0xcd9f8963, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x13c4d73c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x6aaf1638, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x828d7a44, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xaade28eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0x5302bb30, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xa555d029, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xb55ea8bf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x15bcb7a6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xc61445f9, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x617d0516, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x91ad7f1d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd65e8cd2, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xf57f7b2e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xefa121a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x9bf8068e, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0xccf81123, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x585ef3c6, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x1be0f7c0, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0xcc2c34c6, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0xd566b982, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xa59c6672, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x489e8b17, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x78228838, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xd206a70e, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x110db5a4, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x62a5568a, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x14d72bb6, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xec08dd5c, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x884c5559, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0xeca61bee, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x73eae730, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x4e978b91, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x56e2ff51, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x9ffb9107, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x57e40ba0, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xbed283b1, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x5b86a1d5, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xa66b8a4a, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x39ea0433, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x99f2d2f2, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xb70371e8, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0xfd24f890, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x621c9d90, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x22c0921b, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xe6afd4d3, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xb0101eba, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x77656b4a, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x79bfeb1a, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xae677c70, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xf2686633, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x28073d8b, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x50b28858, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xd9768c4d, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x8330f508, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x7e9b423a, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x54235046, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xdbc98d6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0x4c8fcdeb, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb68960e3, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x80a89d7c, "get_device" },
	{ 0xf72c67e3, "device_find_child" },
	{ 0x44604f39, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3a43c4f4, "transport_remove_device" },
	{ 0x2a72fbfe, "transport_destroy_device" },
	{ 0xdcb76756, "device_del" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb5fa5fcb, "scsi_target_unblock" },
	{ 0xcff1db4c, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2dad5c2d, "netlink_kernel_release" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0x2b814530, "transport_class_unregister" },
	{ 0x3f7580e8, "class_unregister" },
	{ 0x3f8ee911, "class_register" },
	{ 0x4968f147, "transport_class_register" },
	{ 0x4168c926, "bus_register" },
	{ 0x74ec385d, "init_net" },
	{ 0xf0dd8ed8, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdba9db43, "scsi_host_get" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0x1947aaf9, "device_add" },
	{ 0x9db98b4a, "transport_setup_device" },
	{ 0xc4e8636e, "transport_add_device" },
	{ 0xab8686ec, "attribute_container_unregister" },
	{ 0x21574791, "scsi_is_host_device" },
	{ 0x6e0d491e, "bsg_remove_queue" },
	{ 0xd7bf6031, "scsi_host_put" },
	{ 0x65c725be, "bsg_job_done" },
	{ 0x1ecc822, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x302be32b, "bsg_setup_queue" },
	{ 0x477e77a4, "__scsi_init_queue" },
	{ 0x8b703a95, "scsi_scan_target" },
	{ 0xcf4609c8, "__alloc_skb" },
	{ 0x1558dda6, "__nlmsg_put" },
	{ 0x6c7692bb, "netlink_broadcast" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x54362e31, "device_register" },
	{ 0x71ead84a, "sysfs_create_group" },
	{ 0xbed2c464, "attribute_container_register" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x3f43fc22, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x1fdfd499, "netlink_capable" },
	{ 0xb8008add, "try_module_get" },
	{ 0x7fac4739, "scsi_host_lookup" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x19c0019b, "netlink_unicast" },
	{ 0x768561c9, "skb_pull" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0xfb578fc5, "memset" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
