#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x14f5f6c1, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xed56fe7d, "");
SYMBOL_CRC(dccp_v4_send_check, 0x29c7dc66, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x501c6625, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x171c3a37, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xcd5d6f97, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x373ee0e3, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x88fa5c4d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa341cd80, "dccp_rcv_state_process" },
	{ 0x641a5dd5, "dccp_reqsk_send_ack" },
	{ 0xa89996f8, "inet_lookup_reuseport" },
	{ 0xc5266adb, "__inet_lookup_listener" },
	{ 0x9a50b84f, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc9ea7666, "sock_common_getsockopt" },
	{ 0x95c63dc, "inet_bind" },
	{ 0xbf2c8a02, "__inet_inherit_port" },
	{ 0xd1345af3, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x132925c9, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xa3a433fc, "__xfrm_policy_check" },
	{ 0xdb3953b0, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2589ff42, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x31d80e8b, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x855a355, "sk_error_report" },
	{ 0x3030d6ad, "register_pernet_subsys" },
	{ 0x757caece, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeeb1ca22, "inet_getname" },
	{ 0xd2dc7d14, "inet_stream_connect" },
	{ 0x4c315bb8, "proto_unregister" },
	{ 0x9bd6482b, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1c01075, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x4b27dc68, "dccp_done" },
	{ 0x649f692, "inet_release" },
	{ 0xe2ee9a21, "__sk_dst_check" },
	{ 0x7c3fa1f5, "dccp_disconnect" },
	{ 0x4a57a371, "ip_route_output_key_hash" },
	{ 0x6432c02, "proto_register" },
	{ 0x8d637217, "inet_hash" },
	{ 0x686a972a, "__sk_receive_skb" },
	{ 0x80095e09, "dccp_poll" },
	{ 0x9d996ec2, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xe2f2c5bb, "inet_csk_get_port" },
	{ 0x8ab61e9e, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x5534f75c, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xc74a9b9b, "inet_accept" },
	{ 0x3f5c0ee3, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb7d09038, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xb58b16a6, "inet_add_protocol" },
	{ 0x6014fca4, "inet_shutdown" },
	{ 0x67c75fe3, "sk_free" },
	{ 0x4d034d7d, "dccp_close" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0xddfb9786, "dccp_reqsk_init" },
	{ 0x283f6e6d, "inet_hash_connect" },
	{ 0xdd831195, "kmem_cache_free" },
	{ 0x9d3d8dfb, "inet_csk_route_child_sock" },
	{ 0x4d15bb19, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x74fa38f, "inet_csk_update_pmtu" },
	{ 0xc48a8988, "dccp_getsockopt" },
	{ 0x76ac909b, "dccp_parse_options" },
	{ 0x79cd9cfd, "unregister_pernet_subsys" },
	{ 0xc21c51a5, "skb_checksum" },
	{ 0x1adc6f3d, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f727845, "sock_no_mmap" },
	{ 0x11eb23f, "__pskb_pull_tail" },
	{ 0x55f1620a, "dccp_child_process" },
	{ 0x9439180e, "sock_common_recvmsg" },
	{ 0x8195e767, "dccp_setsockopt" },
	{ 0xe3674853, "dccp_ioctl" },
	{ 0x16e28960, "inet_sk_rebuild_header" },
	{ 0xc026b069, "inet_del_protocol" },
	{ 0xa62c0370, "ipv4_mtu" },
	{ 0xaad70b30, "dccp_recvmsg" },
	{ 0x57f7756e, "inet_sendmsg" },
	{ 0x607d1abe, "dccp_check_req" },
	{ 0x40451df4, "dccp_create_openreq_child" },
	{ 0x64542fb3, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x140a1ced, "sock_pfree" },
	{ 0x4c3611a6, "dccp_rcv_established" },
	{ 0x3c61bd30, "dccp_send_sync" },
	{ 0x83122055, "dst_release" },
	{ 0x1f41dd6f, "sock_release" },
	{ 0xcb08f9c6, "dccp_make_response" },
	{ 0x898a4de4, "dccp_destroy_sock" },
	{ 0x658047dd, "dccp_ctl_make_reset" },
	{ 0x75856d65, "sock_gettstamp" },
	{ 0x378e7956, "sk_setup_caps" },
	{ 0x25c44766, "ip_build_and_send_pkt" },
	{ 0x10e25c4c, "dccp_sendmsg" },
	{ 0x11304dfd, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xab4d14f0, "inet_twsk_put" },
	{ 0x5553bb1a, "inet_unhash" },
	{ 0xb906afc0, "ip_getsockopt" },
	{ 0x794d2ceb, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb9778b7, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x2adb64ef, "inet_csk_reqsk_queue_drop" },
	{ 0x70896664, "__inet_lookup_established" },
	{ 0xfe5a5024, "inet_bhash2_reset_saddr" },
	{ 0xef57cf40, "inet_csk_addr2sockaddr" },
	{ 0x83327bfd, "inet_unregister_protosw" },
	{ 0x42297d22, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x311260fd, "dccp_shutdown" },
	{ 0xa625689e, "inet_bhash2_update_saddr" },
	{ 0x3ef9f90f, "dccp_connect" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "7CD7B0311F5E62658C36AA3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
