#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x49ab3ee8, "");
SYMBOL_CRC(is_hsr_master, 0x74062aa4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6a23dc5, "rtnl_link_register" },
	{ 0x1cda0eff, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x94b8aeaf, "dev_set_promiscuity" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x30578e2b, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x71016f7a, "unregister_netdevice_queue" },
	{ 0x262ea5f, "netlink_ack" },
	{ 0xc0296499, "netdev_state_change" },
	{ 0x7881f393, "__pskb_copy_fclone" },
	{ 0x76762ba1, "ether_setup" },
	{ 0x55589d7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64395578, "netdev_upper_dev_link" },
	{ 0xa3514aac, "dev_addr_mod" },
	{ 0xebd5a55a, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1b76a4d0, "netdev_rx_handler_unregister" },
	{ 0x8fdd6d5e, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6c7692bb, "netlink_broadcast" },
	{ 0xcf4609c8, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4e61949b, "skb_copy_expand" },
	{ 0x3c91de57, "__dev_get_by_index" },
	{ 0xca8d5aec, "rtnl_link_unregister" },
	{ 0x74ec385d, "init_net" },
	{ 0x768561c9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x19c0019b, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9265ce7b, "dev_get_by_index_rcu" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0xfcd35d5e, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x642124fe, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11eb23f, "__pskb_pull_tail" },
	{ 0x8fa7e63b, "netif_rx" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x782c0c7b, "seq_read" },
	{ 0xf640484e, "debugfs_rename" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0xb40569a5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x248b24c, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b8d2251, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0x729954ac, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x24b2180a, "netif_carrier_on" },
	{ 0x90a314c9, "netdev_rx_handler_register" },
	{ 0x139419fd, "seq_puts" },
	{ 0x8cd3a890, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3be96729, "genl_unregister_family" },
	{ 0x4ca2c70e, "dev_disable_lro" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0x38fc91c, "single_open" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0x6156756e, "genl_register_family" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x9f1e055, "netdev_info" },
	{ 0xfa0e2b98, "register_netdevice" },
	{ 0x3cb4dbe6, "dev_set_mtu" },
	{ 0x8158ffb7, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xbfeb2d72, "eth_header" },
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5bfcd65e, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
