#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x1688dd32, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x77148ceb, "_gpl");
SYMBOL_CRC(tls_get_record, 0xc68db255, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x68a79bc1, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xccfca0df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa30fa7d9, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcf4609c8, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc3bb5e2d, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x1d803c4d, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x11cfa551, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbf4790ad, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1216d395, "crypto_aead_encrypt" },
	{ 0x46dce117, "__SCK__tp_func_sk_data_ready" },
	{ 0x9b30c4f9, "bpf_trace_run5" },
	{ 0x67c75fe3, "sk_free" },
	{ 0x17eb9869, "skb_store_bits" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcd75be8f, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1f26b23e, "sk_stream_wait_memory" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x8e6ce7e1, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x27f73726, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1b38a6f, "lock_sock_nested" },
	{ 0x54831cce, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x141644ba, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x26a860dc, "bpf_trace_run1" },
	{ 0xe88fb658, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x79cd9cfd, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x855dd1df, "sock_efree" },
	{ 0x21a95c05, "iov_iter_bvec" },
	{ 0xc900b8e1, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd8aac169, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x9ad5c1ba, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xb0f05e48, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfe74f7f, "tcp_register_ulp" },
	{ 0x1a5e4b4b, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xd275695c, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e0f6eb0, "skb_page_frag_refill" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1f6a6bfd, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8e676c73, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc7b7e123, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x87a64503, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0xcab9764f, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x729954ac, "skb_clone" },
	{ 0x83122055, "dst_release" },
	{ 0x50fe821, "_copy_from_iter" },
	{ 0x3d3d3971, "skb_copy_header" },
	{ 0x9af3fbfc, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x92b258af, "netdev_sk_get_lowest_dev" },
	{ 0x5ce7c84e, "sk_msg_alloc" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xf4d4b704, "_copy_from_iter_nocache" },
	{ 0x2e2b1371, "tcp_rate_check_app_limited" },
	{ 0x54140c7c, "tcp_poll" },
	{ 0x1b75e14c, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x320a9f20, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x66605dfd, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0x5074530d, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x69b5baff, "tcp_read_done" },
	{ 0x8b9b4c26, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa4f87256, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x46f9f3ab, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xafee0454, "tcp_read_sock" },
	{ 0x73d5ce8d, "bpf_trace_run4" },
	{ 0x5da2678f, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x36530a21, "sk_page_frag_refill" },
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8604d2f3, "tcp_sendmsg_locked" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7456abcb, "sk_psock_msg_verdict" },
	{ 0xbee86892, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbc7e54b8, "iov_iter_get_pages2" },
	{ 0xabb706bd, "___pskb_trim" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xd667da3c, "__put_devmap_managed_page_refs" },
	{ 0x19f8ce4e, "clean_acked_data_enable" },
	{ 0x1bacc68f, "skb_splice_bits" },
	{ 0xa8571ef3, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd18b5d9e, "__tracepoint_sk_data_ready" },
	{ 0x71fe9c89, "crypto_aead_setauthsize" },
	{ 0x18eabc26, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa9030726, "sk_stream_error" },
	{ 0x468f8152, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7be8c8d2, "sk_msg_memcopy_from_iter" },
	{ 0x855a355, "sk_error_report" },
	{ 0x3030d6ad, "register_pernet_subsys" },
	{ 0xcb4ed3f6, "put_cmsg" },
	{ 0xb22dbe7, "__sk_flush_backlog" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x5420c6a8, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x36957540, "sk_psock_tls_strp_read" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1FCA2FCFBD6EDCEF93846FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
