#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x10b5b199, "");
SYMBOL_CRC(snd_pcm_new, 0x1c40ffbc, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x9c0b6d84, "");
SYMBOL_CRC(snd_pcm_notify, 0x4ce93151, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xe74c4e57, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x7f90d096, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x29b742f4, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xc392cf08, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0xcbe1f7c2, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x35b8282e, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x2f1912ba, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xdead4605, "");
SYMBOL_CRC(snd_pcm_stop, 0x77dd73a6, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x8fd87fff, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0xdbd7cb32, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x605c442f, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xd1805a97, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x1ef99448, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0xcb986dab, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x7dc99db6, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x80bb3d1b, "");
SYMBOL_CRC(snd_pcm_debug_name, 0xe22da05f, "");
SYMBOL_CRC(snd_pcm_set_ops, 0xb0cfc910, "");
SYMBOL_CRC(snd_pcm_set_sync, 0xbc90fd9b, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xf2b2dd2d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x21a9af3a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x48ae950a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x4a21e00c, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x672d3fd8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x6a53bcc1, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x935b2687, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0xf27df171, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x83f77ccc, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xbb205dcb, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x9f281265, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0xd2a86fd1, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x76a1f0fc, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0xbd18c9ba, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x48bfb8f1, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x502d7acb, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xb94b2cef, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0xb6555cbb, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xaf9113e0, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0x69255f54, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x8f788f49, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xec5372a3, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x74f514c1, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x1fcdf264, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x716b19ee, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x953251de, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0xe612d022, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0x701464ef, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0x58114dbb, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0xefe277ce, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x35a5745e, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xfca54abf, "");
SYMBOL_CRC(snd_dma_free_pages, 0x4c97d5ff, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x41896cf7, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xc6e4caaf, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0xe2ea6e93, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xda69160c, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xef963ed8, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x400bb345, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x02cfa935, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bca2c03, "dma_sync_sg_for_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8a54382b, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x573bddb2, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x1a5e4b4b, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xedc7a07f, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf0bacbfd, "dma_alloc_noncontiguous" },
	{ 0xb43cc11e, "dma_mmap_noncontiguous" },
	{ 0xb8b59a29, "set_pages_array_wc" },
	{ 0x9a1596b5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf3bcb110, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x211b39fb, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x19e49e5f, "snd_info_create_card_entry" },
	{ 0x50fe821, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x8011e21a, "snd_power_wait" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x2a12fd6, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xdac4cd3a, "pid_vnr" },
	{ 0x13aeb132, "snd_device_free" },
	{ 0x9e817fce, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0xdfa43cbd, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x70b27a83, "snd_device_register" },
	{ 0x541ca91c, "snd_register_device" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5d85e999, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x428ee340, "dma_can_mmap" },
	{ 0xb8008add, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7f197f1, "dma_ops" },
	{ 0x7d2743f1, "_copy_to_iter" },
	{ 0xffa03ffa, "snd_info_register" },
	{ 0xf77e38cc, "snd_info_create_module_entry" },
	{ 0x80e48ba6, "snd_ctl_unregister_ioctl_compat" },
	{ 0x27da0a04, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x87e8104c, "snd_ctl_add" },
	{ 0x6865a646, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x66a051ec, "snd_timer_notify" },
	{ 0xf688df55, "snd_ctl_get_preferred_subdevice" },
	{ 0x70cc12a7, "dma_vunmap_noncontiguous" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0xc7e976b9, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xf5727030, "dma_mmap_pages" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf565d5d4, "dma_sync_sg_for_cpu" },
	{ 0xffdbe1da, "dma_free_pages" },
	{ 0xd44bca74, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xb825f481, "snd_timer_interrupt" },
	{ 0xc96533d9, "snd_info_free_entry" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x83c651b9, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x729cccac, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1faf1da5, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x78e0bcc, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ce1dea6, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xd6dff22e, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe8a3d2ea, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0x70ce5973, "snd_ctl_register_ioctl" },
	{ 0x73e4133f, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5ee307b, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0xdab17058, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x574be016, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x5a3f9f4e, "dma_vmap_noncontiguous" },
	{ 0x9b30c4f9, "bpf_trace_run5" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x15716467, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbefbe03f, "__devres_alloc_node" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x2d683be8, "dma_need_sync" },
	{ 0x8e6ce7e1, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb5b25ed6, "vmap" },
	{ 0x27d453fc, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb026122f, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7e185f2b, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x26a860dc, "bpf_trace_run1" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x92dfe627, "snd_device_new" },
	{ 0xbe9c7bd, "dma_sync_single_for_cpu" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "E42862940C660263C0FAE43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
