#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x54581feb, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0xe20d1934, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x6ff1c828, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0x27ff7aae, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x68b30461, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0x97aeda64, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0xb48f760b, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0xcd0ead05, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0xf8eeea94, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0xba31d36a, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0x592396d7, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0xf757b40d, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0x5eca700f, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0xb768edfd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x574be016, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b0576fc, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x89791fe0, "regmap_bulk_read" },
	{ 0x7b1ab096, "regmap_update_bits_base" },
	{ 0x139757dd, "regmap_multi_reg_write" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xcb9f4619, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x43541a4b, "regmap_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BD6D4E3C9D8C9C618D7841A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
