#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0xa01ca7ef, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xcc1c5c4a, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0x1df33e50, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0xbc8dfb12, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x3389b72b, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x4daa00f4, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x8461f0a8, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xec812601, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x6cf28024, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x0deaf8d7, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0xea2594f0, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x110b41e5, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x342cac09, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x6f47efac, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xaaf770ee, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x7fa63bc1, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x4fab96ad, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0xda5333b6, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0xa5d63c6d, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xcab16e13, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xf95158d5, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x6dfef1b4, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x015e04cc, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0xadba87a7, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x9c2ca53c, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0xe739e10e, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xb7f5880d, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xaeb14a5d, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xca254322, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xc8510d18, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0xef8a314e, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xed44a2dc, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0xc7b4864b, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x036ab26b, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x6a838f38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2ed7f815, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0xcbc61e3a, "snd_hdac_ext_bus_exit" },
	{ 0x724359cf, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xf784ed24, "sysfs_remove_file_ns" },
	{ 0x791a37f8, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xd8ffa83d, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b300b0e, "snd_hdac_device_register" },
	{ 0x9fee130, "snd_hdac_stream_spbcap_enable" },
	{ 0x7149abca, "sst_ipc_tx_message_nopm" },
	{ 0x11aa2f65, "snd_hdac_i915_init" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xc106042c, "snd_hdac_bus_init_chip" },
	{ 0x18509078, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x47ccc755, "intel_nhlt_get_endpoint_blob" },
	{ 0x4f4378ee, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x51a598ad, "sst_dsp_shim_read_unlocked" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0x574be016, "_dev_err" },
	{ 0xeb0e1929, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xc96b1e2a, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x999585b, "platform_device_unregister" },
	{ 0xdd6a62b6, "sst_ipc_fini" },
	{ 0x5c0c92c2, "snd_hdac_ext_stream_assign" },
	{ 0x3c01d13a, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3f456ca, "snd_hdac_ext_stream_init_all" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x935efdfa, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xfb4c580e, "sst_dsp_shim_update_bits_forced" },
	{ 0x535b280a, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0xcced1d9f, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x2389b48a, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x63a47909, "snd_soc_tplg_component_load" },
	{ 0x7bb2d146, "sst_dsp_shim_read" },
	{ 0x37992445, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc009a517, "snd_hdac_bus_stop_cmd_io" },
	{ 0x53752468, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2a84d74a, "pci_restore_state" },
	{ 0x78f81e21, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x716b19ee, "snd_pcm_set_managed_buffer_all" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x5075d8aa, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x610cb310, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3251a8ac, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xad9195c1, "sst_ipc_tx_msg_reply_complete" },
	{ 0x8d0c6349, "snd_soc_tplg_component_remove" },
	{ 0x2bbfe735, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xf88c488a, "dma_set_coherent_mask" },
	{ 0x48ae950a, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe47a40b2, "sst_dsp_shim_update_bits" },
	{ 0xc0e486, "snd_hdac_acomp_exit" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0xe08f8398, "snd_hdac_bus_parse_capabilities" },
	{ 0xa95821a5, "platform_device_register_full" },
	{ 0x7cb1056f, "sst_dsp_outbox_write" },
	{ 0xf6a4a341, "pm_runtime_allow" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0xd5add194, "snd_hdac_stream_setup" },
	{ 0xb4f45496, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x5a056dd, "snd_hdac_stream_set_params" },
	{ 0xd8b49edd, "pci_release_regions" },
	{ 0xc84109c6, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2db7e0fe, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x1e9a9107, "snd_hdac_bus_handle_stream_irq" },
	{ 0x780700e9, "pci_write_config_byte" },
	{ 0xf3831b1b, "snd_hdac_stream_drsm_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa5494dad, "snd_soc_acpi_intel_skl_machines" },
	{ 0x51ea90bb, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xdb60534e, "snd_soc_set_runtime_hwparams" },
	{ 0xe1afc94e, "snd_hdac_get_stream" },
	{ 0x851aeea4, "pci_disable_device" },
	{ 0xdb0240e7, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x3b305ac9, "pci_match_id" },
	{ 0x6a6135e1, "snd_hdac_stream_sync_trigger" },
	{ 0xe993358a, "snd_hdac_ext_bus_link_put" },
	{ 0xf44fa086, "snd_hda_codec_device_init" },
	{ 0x384122eb, "dma_set_mask" },
	{ 0xa459798d, "snd_hdac_set_codec_wakeup" },
	{ 0xb8f53a51, "snd_hdac_stream_reset" },
	{ 0x254bcb21, "sst_dsp_shim_write" },
	{ 0xb94b2cef, "snd_pcm_period_elapsed" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0xbe9f49e4, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x4aceb109, "snd_soc_tplg_widget_bind_event" },
	{ 0x369b851f, "pci_read_config_byte" },
	{ 0xe5d8a340, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0x27ac8841, "intel_nhlt_init" },
	{ 0x8a50328c, "snd_hdac_stop_streams_and_chip" },
	{ 0x75b57d29, "snd_hdac_dsp_cleanup" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3f0de295, "snd_hdac_ext_stream_reset" },
	{ 0xcdc9572a, "snd_hdac_stop_streams" },
	{ 0x5a486b52, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x77d3f6a6, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6af68c39, "pci_write_config_dword" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x937c8992, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x95985dfe, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x7576d5fc, "snd_soc_acpi_intel_hda_machines" },
	{ 0x90f0756a, "platform_device_put" },
	{ 0x94366d75, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x216698c0, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x711ebad8, "sst_dsp_register_poll" },
	{ 0x35a5745e, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x24eb511e, "pci_enable_device" },
	{ 0x9d36503d, "snd_hdac_bus_send_cmd" },
	{ 0x37c87130, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xab726709, "snd_hdac_stream_set_spib" },
	{ 0x665d4f15, "snd_hdac_bus_enter_link_reset" },
	{ 0x5653dcb1, "sst_ipc_tx_message_wait" },
	{ 0x343b97db, "intel_nhlt_get_dmic_geo" },
	{ 0x90de492, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1ce180c, "snd_hdac_ext_stream_start" },
	{ 0x89739590, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd12cfbd6, "snd_hdac_ext_stream_free_all" },
	{ 0x2fa7e173, "snd_hdac_bus_update_rirb" },
	{ 0xc59fd8b7, "sst_dsp_shim_write_unlocked" },
	{ 0xc17b6cf4, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4895468e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x9f8ed434, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4a21e00c, "snd_pcm_hw_constraint_minmax" },
	{ 0xe420d865, "snd_hdac_codec_modalias" },
	{ 0x856389d2, "snd_hdac_bus_stop_chip" },
	{ 0x674b0928, "pci_request_regions" },
	{ 0xbf6e3a68, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb85aeb, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x78a03ed8, "snd_intel_dsp_driver_probe" },
	{ 0x1f1c1c8f, "snd_hdac_stream_set_lpib" },
	{ 0xda69160c, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x400bb345, "snd_sgbuf_get_chunk_size" },
	{ 0x85938501, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x753ca4a4, "snd_hdac_ext_bus_device_remove" },
	{ 0xbde6c67a, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0xbc90fd9b, "snd_pcm_set_sync" },
	{ 0xbb1dae55, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdf1f66a9, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb110942d, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xabc40f7e, "snd_hdac_stream_timecounter_init" },
	{ 0x4b6370f6, "snd_hdac_ext_link_free_all" },
	{ 0x8b5d027, "sst_ipc_tx_message_nowait" },
	{ 0x2fd01dbd, "pci_read_config_dword" },
	{ 0x4c97d5ff, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa079b807, "devm_snd_soc_register_component" },
	{ 0xc4049dcc, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xed4b0af8, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec,snd-soc-hdac-hda");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
