#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x0673f279, "");
SYMBOL_CRC(hda_bus_ml_free, 0xe0aa4ab9, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x9893079c, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x10e58b5c, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x0debf48e, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x41413d3f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0xd716e6f7, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0xeef7fe35, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xc715dcf9, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x54a9cbc7, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x72e277e1, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0xd29ff2d3, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0xf04bd408, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x5484758f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xdee0575f, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x3a8b681a, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x2161f3f2, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xe946796a, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x58b39158, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xeab47f11, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x4579e22d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x3646cc29, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x4ff5a01b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x0c51c1c5, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x7036a5e1, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x67599745, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x44643aa1, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xa15c771d, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xe8477822, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x863d6bc8, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x8c986281, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x3501f5ba, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x66ae87f0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf6e3a68, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd273652b, "snd_hdac_ext_bus_link_power_down" },
	{ 0x574be016, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe993358a, "snd_hdac_ext_bus_link_put" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
