#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xe7a8bfd8, "");
SYMBOL_CRC(drm_gem_vram_put, 0x2c6b3bb1, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x523f4592, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xcc4e58bb, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x6dca8bd8, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xf970c489, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x9f6a923d, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x0285264a, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x5e465b70, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x773cea8f, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xc01eaaeb, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x50e9083f, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x03cec976, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xa45fc4cb, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x249b04cd, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x3fa1be8f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37ca0d17, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1f56ef59, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd1ea4379, "drm_gem_object_release" },
	{ 0x7e266107, "ttm_tt_init" },
	{ 0x2d4c7a80, "drm_gem_handle_create" },
	{ 0xbe67268f, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x55d41a9d, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xe8cae85c, "drm_debugfs_add_files" },
	{ 0x638fd972, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67eeb0d1, "ttm_device_init" },
	{ 0xa8a624da, "ttm_bo_validate" },
	{ 0xd0d8f204, "ttm_bo_move_to_lru_tail" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x62a1dd60, "ttm_bo_vmap" },
	{ 0xcfde7c60, "ttm_bo_put" },
	{ 0xfad92eb9, "ttm_resource_free" },
	{ 0x37992869, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa788a5e3, "ttm_tt_fini" },
	{ 0xcb6c0b6f, "ttm_device_fini" },
	{ 0xfdff7e69, "drm_gem_plane_helper_prepare_fb" },
	{ 0x666e5d77, "ttm_bo_eviction_valuable" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x6bad9fcd, "drm_gem_ttm_print_info" },
	{ 0xb359d48e, "ttm_range_man_init_nocheck" },
	{ 0x92c9e677, "ww_mutex_lock_interruptible" },
	{ 0xf0ae57a9, "ttm_resource_manager_debug" },
	{ 0x4c9d00c7, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a0bec42, "ttm_range_man_fini_nocheck" },
	{ 0xf62a51ec, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84819fba, "ttm_bo_pin" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0x61b3ad80, "drm_gem_ttm_mmap" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
