#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17ba1ce1, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x10c33a49, "pcim_enable_device" },
	{ 0x674b0928, "pci_request_regions" },
	{ 0xf0c0d064, "__devm_drm_dev_alloc" },
	{ 0x1b49f280, "devm_ioremap" },
	{ 0x97af7687, "drmm_mode_config_init" },
	{ 0x33189399, "drm_universal_plane_init" },
	{ 0x189d8b87, "drm_mode_config_reset" },
	{ 0x9946342c, "drm_dev_register" },
	{ 0x66f6e52d, "drm_fbdev_generic_setup" },
	{ 0x1255f50, "drm_plane_enable_fb_damage_clips" },
	{ 0x22622e6d, "drm_crtc_init_with_planes" },
	{ 0x791e9d73, "drm_encoder_init" },
	{ 0x2725d704, "drm_connector_init" },
	{ 0xf3117bf3, "drm_connector_attach_encoder" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x9f8ed434, "__pci_register_driver" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x4a8a368e, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xa99e1be4, "__drm_gem_reset_shadow_plane" },
	{ 0x237ae835, "drm_atomic_helper_check_plane_state" },
	{ 0x40b3d7a, "drm_dev_enter" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb19b445, "ioread8" },
	{ 0x56b0ccca, "drm_atomic_helper_damage_iter_init" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x54f965d2, "drm_fb_blit" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x602b86ea, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x1f7090a3, "drm_gem_shmem_dumb_create" },
	{ 0xfa7b8b74, "noop_llseek" },
	{ 0xc2bc9e88, "drm_read" },
	{ 0x9fea4f1d, "drm_poll" },
	{ 0x909b04cc, "drm_ioctl" },
	{ 0xa1a1a93d, "drm_compat_ioctl" },
	{ 0x239bf376, "drm_gem_mmap" },
	{ 0x4455b20a, "drm_open" },
	{ 0x3534586d, "drm_release" },
	{ 0x3cac1a, "drm_gem_fb_create_with_dirty" },
	{ 0x7ee95f48, "drm_atomic_helper_check" },
	{ 0xbc5507bb, "drm_atomic_helper_commit" },
	{ 0xa1d3e40f, "drm_atomic_helper_connector_reset" },
	{ 0x2a8a9150, "drm_helper_probe_single_connector_modes" },
	{ 0x2a4f576, "drm_connector_cleanup" },
	{ 0xa61e1773, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x27532d6b, "drm_atomic_helper_connector_destroy_state" },
	{ 0x4b4868b, "drm_encoder_cleanup" },
	{ 0xe278a4e, "drm_atomic_helper_crtc_reset" },
	{ 0xafeabcd6, "drm_crtc_cleanup" },
	{ 0x6cba1f92, "drm_atomic_helper_set_config" },
	{ 0xcf0d2807, "drm_atomic_helper_page_flip" },
	{ 0x7269018d, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xcac326bf, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x1291e6a6, "drm_atomic_helper_update_plane" },
	{ 0x8f31f5f3, "drm_atomic_helper_disable_plane" },
	{ 0xf2e95553, "drm_plane_cleanup" },
	{ 0xd9238fee, "drm_gem_begin_shadow_fb_access" },
	{ 0xc8b03ee4, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeb284f4, "drm_dev_unplug" },
	{ 0xdfa4e6f8, "drm_atomic_helper_shutdown" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37bf1177, "drm_add_modes_noedid" },
	{ 0x5d317cc4, "drm_set_preferred_mode" },
	{ 0x99b2aa95, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x3bd33294, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb1dae55, "pci_unregister_driver" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001013d000000B8sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001013d000000B8sv00005853sd00000001bc*sc*i*");

MODULE_INFO(srcversion, "D39B139ECA962D920759377");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
