#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x67103d9e, "xen_front_pgdir_shbuf_map" },
	{ 0x4623fa, "xenbus_switch_state" },
	{ 0xf62a51ec, "drm_gem_object_init" },
	{ 0x97af7687, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3023390, "drm_crtc_send_vblank_event" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbc5507bb, "drm_atomic_helper_commit" },
	{ 0x7ee95f48, "drm_atomic_helper_check" },
	{ 0x27532d6b, "drm_atomic_helper_connector_destroy_state" },
	{ 0x228f68fa, "xen_front_pgdir_shbuf_free" },
	{ 0x239bf376, "drm_gem_mmap" },
	{ 0xd34d1fb5, "drm_mode_create" },
	{ 0x909b04cc, "drm_ioctl" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0xca3db98f, "xenbus_alloc_evtchn" },
	{ 0x8c479aa6, "xen_free_unpopulated_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd37435b9, "drm_gem_vm_close" },
	{ 0x4051b52d, "drm_gem_vm_open" },
	{ 0xbeb284f4, "drm_dev_unplug" },
	{ 0x2725d704, "drm_connector_init" },
	{ 0x57bc19d2, "down_write" },
	{ 0xcd349c42, "__xenbus_register_frontend" },
	{ 0xce807a25, "up_write" },
	{ 0x66cf2f64, "drm_display_mode_from_videomode" },
	{ 0xfa7b8b74, "noop_llseek" },
	{ 0xc2bc9e88, "drm_read" },
	{ 0xd1ea4379, "drm_gem_object_release" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdae343c1, "xen_front_pgdir_shbuf_alloc" },
	{ 0x2c9cc127, "xenbus_unregister_driver" },
	{ 0xb9df663c, "xen_front_pgdir_shbuf_unmap" },
	{ 0xb5b25ed6, "vmap" },
	{ 0x2d4c7a80, "drm_gem_handle_create" },
	{ 0xa1ad7aba, "xenbus_free_evtchn" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x502b1616, "drm_prime_pages_to_sg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x33da9e6c, "drm_dev_unregister" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xea3e5654, "drm_dev_put" },
	{ 0xf7d9d78e, "drm_gem_fb_create_with_funcs" },
	{ 0x34eab46d, "bind_evtchn_to_irqhandler" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa61e1773, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x567d283c, "drm_simple_display_pipe_init" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0x2a4f576, "drm_connector_cleanup" },
	{ 0xf88c488a, "dma_set_coherent_mask" },
	{ 0x45bff2cc, "devm_kasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf3bcb110, "vm_map_pages" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0x2a8a9150, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd4a92181, "xen_alloc_unpopulated_pages" },
	{ 0x384122eb, "dma_set_mask" },
	{ 0xa1d3e40f, "drm_atomic_helper_connector_reset" },
	{ 0x189d8b87, "drm_mode_config_reset" },
	{ 0xb2166c1, "xenbus_setup_ring" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x6ed8d8e5, "drm_mode_config_cleanup" },
	{ 0x3d3472aa, "xenbus_dev_error" },
	{ 0x997177ef, "xenbus_frontend_closed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x353807e6, "drm_dev_alloc" },
	{ 0x2a8bd659, "drm_gem_put_pages" },
	{ 0xa1a1a93d, "drm_compat_ioctl" },
	{ 0x9946342c, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85cb2c45, "xen_has_pv_devices" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xde7ab61d, "drm_prime_gem_destroy" },
	{ 0x3534586d, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x60562f9e, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x7caf5de9, "drm_kms_helper_poll_fini" },
	{ 0x4455b20a, "drm_open" },
	{ 0x9fea4f1d, "drm_poll" },
	{ 0x40b3d7a, "drm_dev_enter" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2fcfc3d8, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x964b7e4, "drm_kms_helper_poll_init" },
	{ 0xa6257a2f, "complete" },
	{ 0xb05c1dfc, "drm_mode_probed_add" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe0693bd, "xenbus_dev_fatal" },
	{ 0xdfa4e6f8, "drm_atomic_helper_shutdown" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x5efed548, "xen_front_pgdir_shbuf_get_dir_start" },
	{ 0x42447328, "drm_prime_sg_to_page_array" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "xen-front-pgdir-shbuf");


MODULE_INFO(srcversion, "F8249050135F814EE237FBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
