#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf928ed87, "input_allocate_device" },
	{ 0x6bb3b1, "input_set_capability" },
	{ 0xdf493030, "input_set_abs_params" },
	{ 0xcb2f382e, "input_mt_init_slots" },
	{ 0x1df07b07, "input_register_device" },
	{ 0x423b13f6, "input_alloc_absinfo" },
	{ 0xc7ee6932, "input_free_device" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xceeb3509, "request_firmware_nowait" },
	{ 0x4895468e, "request_firmware" },
	{ 0xd7d83b20, "device_property_present" },
	{ 0xcd073a3f, "is_acpi_device_node" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xc5290ef5, "device_property_read_u32_array" },
	{ 0xb5211d3e, "devm_regulator_bulk_get" },
	{ 0x24fc54fc, "devm_gpiod_get_optional" },
	{ 0x7bb19d7e, "devm_request_threaded_irq" },
	{ 0x2eeafb1e, "regulator_bulk_enable" },
	{ 0x71ead84a, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86724e0a, "i2c_register_driver" },
	{ 0x574be016, "_dev_err" },
	{ 0x194440ce, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96848186, "scnprintf" },
	{ 0x75a84933, "i2c_del_driver" },
	{ 0xe05b6d3f, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x660612ed, "irq_get_irq_data" },
	{ 0x2b013641, "_dev_warn" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe788c7ec, "i2c_transfer_buffer_flags" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x68dfac6d, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb68960e3, "sysfs_remove_group" },
	{ 0x406f1486, "input_unregister_device" },
	{ 0xd64fef76, "regulator_bulk_disable" },
	{ 0xf4d889e0, "input_event" },
	{ 0xfc5b0bb2, "input_mt_report_slot_state" },
	{ 0xa6257a2f, "complete" },
	{ 0xbfdcc08a, "input_mt_report_pointer_emulation" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "A09F629FA2E656BDC6FFAFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
