#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs42l43_reg_default, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_readable_register, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_precious_register, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_volatile_register, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_dev_probe, "_gpl", "MFD_CS42L43");
KSYMTAB_FUNC(cs42l43_dev_remove, "_gpl", "MFD_CS42L43");
KSYMTAB_DATA(cs42l43_pm_ops, "_gpl", "MFD_CS42L43");

SYMBOL_CRC(cs42l43_reg_default, 0xc314c8a9, "_gpl");
SYMBOL_CRC(cs42l43_readable_register, 0x85c7ab89, "_gpl");
SYMBOL_CRC(cs42l43_precious_register, 0x5854e7ab, "_gpl");
SYMBOL_CRC(cs42l43_volatile_register, 0x1431f668, "_gpl");
SYMBOL_CRC(cs42l43_dev_probe, 0x92c30e6a, "_gpl");
SYMBOL_CRC(cs42l43_dev_remove, 0xbda43651, "_gpl");
SYMBOL_CRC(cs42l43_pm_ops, 0x01be03ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43541a4b, "regmap_write" },
	{ 0x574be016, "_dev_err" },
	{ 0x12d44b84, "regmap_bulk_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b0576fc, "regmap_read" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa6257a2f, "complete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x507efb6c, "regmap_multi_reg_write_bypassed" },
	{ 0xf9a482f9, "msleep" },
	{ 0xceeb3509, "request_firmware_nowait" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x41fe645d, "regulator_enable" },
	{ 0xf49cec9d, "gpiod_set_value_cansleep" },
	{ 0x2eeafb1e, "regulator_bulk_enable" },
	{ 0x87642347, "regulator_disable" },
	{ 0xd64fef76, "regulator_bulk_disable" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24fc54fc, "devm_gpiod_get_optional" },
	{ 0xc1145479, "devm_regulator_get" },
	{ 0xb5211d3e, "devm_regulator_bulk_get" },
	{ 0x8ededc6d, "pm_runtime_set_autosuspend_delay" },
	{ 0xa3d77561, "__pm_runtime_use_autosuspend" },
	{ 0x7859c676, "__pm_runtime_set_status" },
	{ 0x9cb212ff, "devm_pm_runtime_enable" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe0dffcae, "dev_err_probe" },
	{ 0x112f4339, "pm_runtime_force_resume" },
	{ 0xa8c8a372, "__pm_runtime_idle" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xcb9f4619, "regmap_register_patch" },
	{ 0x660612ed, "irq_get_irq_data" },
	{ 0x3cedc801, "devm_regmap_add_irq_chip" },
	{ 0x3abc0c7b, "devm_mfd_add_devices" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0xae3ff4bc, "pm_runtime_force_suspend" },
	{ 0xb2421206, "regcache_mark_dirty" },
	{ 0x6287e26b, "regcache_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x675991d7, "regcache_cache_only" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "81103F8CBE3A4783513671B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
