#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0xc0964f18, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x43b23574, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x66124227, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x48d64a07, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xbe05ed83, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x20d2772d, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x79c1af9a, "_gpl");
SYMBOL_CRC(nanddev_init, 0xef78907d, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x164f9b88, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0xa4cab389, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x959a2743, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x116b6adf, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x6356f788, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x47b15435, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0xa4be650f, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x971de130, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xc71133de, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x789b8f6f, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xf4edff61, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x2a4475bc, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x38bc0d62, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0xc4be2a3d, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x079c0ea7, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0xb7441fa3, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x30759a8e, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x562fe245, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x2d640875, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x32a5a24f, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x8a84413d, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x801cb636, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x760e830b, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x915de6ec, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x91b968e5, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x4351eb30, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x49af053e, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x87060bd8, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0xa542b129, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x18773a3e, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xf5a06c84, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0xbce22db5, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x5cb11c78, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x6b631e65, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x382f3f56, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c6f3737, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9214f907, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xdff20104, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
