#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x9f9c8289, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xad0a6ce2, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xcf5ea69b, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0xe456a6cf, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xe4d1a927, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x57964ea6, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x15d9b42d, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x1f6f64de, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x11fcae8f, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x7ffc70a5, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x68bb8dad, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x092cfe4c, "_gpl");
SYMBOL_CRC(nand_status_op, 0x13ab5aab, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x8787fd69, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xbfb6ba79, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x457a6bcd, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xe91d55dd, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x9ef34ecb, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x591f4346, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x53764509, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xa7d3c75a, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x7595ce15, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x443e7229, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x7a8c104a, "");
SYMBOL_CRC(nand_write_oob_std, 0x8bb682b0, "");
SYMBOL_CRC(nand_write_page_raw, 0x913b98c4, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x5f991067, "");
SYMBOL_CRC(nand_decode_ext_id, 0x6b41b83a, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xb5cc7d66, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x0c2ac4ff, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x09ebd2e0, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x86d0c081, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0xb8b60263, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xa51ff071, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x15228cee, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x1ef66f67, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xb068f16e, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0xc597ade1, "");
SYMBOL_CRC(nand_cleanup, 0x70372581, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x05a35336, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xb8a6e6da, "");
SYMBOL_CRC(nand_create_bbt, 0x323ea00f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e087cd4, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x57e64c74, "mtd_ooblayout_get_databytes" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xdff20104, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbe05ed83, "nanddev_mtd_max_bad_blocks" },
	{ 0xf5a06c84, "nand_ecc_sw_bch_calculate" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x7f3a6c16, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8ab58435, "mtd_read_oob" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xce71e580, "gpiod_count" },
	{ 0x164f9b88, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x38bc0d62, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2a4475bc, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x6206a808, "gpiod_get_index_optional" },
	{ 0x87060bd8, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xef78907d, "nanddev_init" },
	{ 0xbce22db5, "nand_ecc_sw_bch_correct" },
	{ 0x6b631e65, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x4c6f3737, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4351eb30, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa542b129, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5cb11c78, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x574be016, "_dev_err" },
	{ 0x79c0ea7, "nand_ecc_is_strong_enough" },
	{ 0x44691735, "mtd_write_oob" },
	{ 0xf4edff61, "nand_get_small_page_ooblayout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x49af053e, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe186769d, "mtd_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe25096d5, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce3cdfd2, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "BC5EC8492737E2276C9079F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
