#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x6a781d9d, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xf7b7a9c7, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x9a07e541, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xc313ac68, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x069badf5, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xe444918c, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xb21cee57, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x77202f89, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xfc73ea9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8322abb3, "free_candev" },
	{ 0x81b7fd73, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x3934b799, "can_get_echo_skb" },
	{ 0xdf5274b3, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30578e2b, "netdev_warn" },
	{ 0x54870b51, "unregister_candev" },
	{ 0x38d5963, "can_rx_offload_del" },
	{ 0x7e503166, "devm_clk_get" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0xa8c8a372, "__pm_runtime_idle" },
	{ 0xd127f835, "pinctrl_pm_select_default_state" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x33ead987, "netif_device_attach" },
	{ 0x1532a42a, "register_candev" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x87521b27, "can_rx_offload_add_manual" },
	{ 0x710eaebd, "netif_napi_add_weight" },
	{ 0x61378b7f, "phy_power_on" },
	{ 0x8ed7781f, "open_candev" },
	{ 0xef96c8bc, "can_rx_offload_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe21e74af, "napi_disable" },
	{ 0x6837dfab, "close_candev" },
	{ 0x8b9c09ed, "phy_power_off" },
	{ 0x547699d6, "napi_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55589d7, "netdev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbaabcaa0, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xf9a5a6c7, "pinctrl_pm_select_sleep_state" },
	{ 0x139c1ad1, "netif_device_detach" },
	{ 0x32683726, "alloc_can_err_skb" },
	{ 0xc15e4c4c, "can_rx_offload_queue_timestamp" },
	{ 0x43a93dea, "netif_receive_skb" },
	{ 0x44baaefb, "__dynamic_netdev_dbg" },
	{ 0xfd901082, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xdd497d93, "can_put_echo_skb" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x1b716e79, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcd35d5e, "netdev_printk" },
	{ 0xa290219e, "alloc_canfd_skb" },
	{ 0x5766a25a, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x8e0a30a9, "napi_complete_done" },
	{ 0xe8ac54df, "napi_schedule_prep" },
	{ 0xf6fcd146, "can_rx_offload_threaded_irq_finish" },
	{ 0x6dfdc556, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x933d9207, "ethtool_op_get_ts_info" },
	{ 0xad5c1f8f, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x574be016, "_dev_err" },
	{ 0x88fe8f06, "__dev_fwnode" },
	{ 0x1a8255dc, "fwnode_property_read_u32_array" },
	{ 0xd3a9fb9e, "alloc_candev_mqs" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "3112BCAE1BD65D929C6D7E4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
