#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_phylink_mac_config, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_down, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_up, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_enable_set, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x2ecf8de3, "");
SYMBOL_CRC(b53_enable_port, 0x15ca06d4, "");
SYMBOL_CRC(b53_disable_port, 0x49ea68d4, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0xf85268bc, "");
SYMBOL_CRC(b53_configure_vlan, 0x4c04e8c5, "");
SYMBOL_CRC(b53_get_strings, 0x87983a54, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xd01072ca, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x6a58e23c, "");
SYMBOL_CRC(b53_get_sset_count, 0x75d55029, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x18cf41d7, "");
SYMBOL_CRC(b53_port_event, 0xdbc78f38, "");
SYMBOL_CRC(b53_phylink_mac_config, 0xf2045ef6, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x1af5bc63, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0xb195a342, "");
SYMBOL_CRC(b53_vlan_filtering, 0xfce645f2, "");
SYMBOL_CRC(b53_vlan_add, 0x7ad93812, "");
SYMBOL_CRC(b53_vlan_del, 0x6ffb542f, "");
SYMBOL_CRC(b53_fdb_add, 0xd3c9dfc9, "");
SYMBOL_CRC(b53_fdb_del, 0x5cf01cd2, "");
SYMBOL_CRC(b53_fdb_dump, 0x1558fd1b, "");
SYMBOL_CRC(b53_mdb_add, 0xc9715a64, "");
SYMBOL_CRC(b53_mdb_del, 0x73a9cdbb, "");
SYMBOL_CRC(b53_br_join, 0xb5438066, "");
SYMBOL_CRC(b53_br_leave, 0x4c7ff61b, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x8ef5ce3d, "");
SYMBOL_CRC(b53_br_fast_age, 0x58be0e2e, "");
SYMBOL_CRC(b53_br_flags_pre, 0x6403cd14, "");
SYMBOL_CRC(b53_br_flags, 0xaf6810e7, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xb4bb3876, "");
SYMBOL_CRC(b53_mirror_add, 0x6778a982, "");
SYMBOL_CRC(b53_mirror_del, 0x67cd2129, "");
SYMBOL_CRC(b53_eee_enable_set, 0x8a260cec, "");
SYMBOL_CRC(b53_eee_init, 0x42493849, "");
SYMBOL_CRC(b53_get_mac_eee, 0xcd21266f, "");
SYMBOL_CRC(b53_set_mac_eee, 0x9da86a7a, "");
SYMBOL_CRC(b53_switch_alloc, 0xd41b167a, "");
SYMBOL_CRC(b53_switch_detect, 0xe3922acd, "");
SYMBOL_CRC(b53_switch_register, 0xea28b42b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa73ed0b, "dsa_devlink_resources_unregister" },
	{ 0x34c14cc2, "dsa_devlink_resource_register" },
	{ 0xfc612ca9, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4bf5dee9, "mdiobus_get_phy" },
	{ 0xd0d445bd, "phy_ethtool_get_stats" },
	{ 0x75512a12, "phy_ethtool_get_sset_count" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe71a749c, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9919fc0, "dsa_port_phylink_mac_change" },
	{ 0xf2cd4c03, "phy_init_eee" },
	{ 0x574be016, "_dev_err" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x4b60aae5, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x5e7f62cf, "gpio_to_desc" },
	{ 0xdae4d040, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "D84EB9147EDC926D7F87BD7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
