#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_lock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_set_basic, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x4a6eedd3, "");
SYMBOL_CRC(ocelot_mact_forget, 0x01305b6e, "");
SYMBOL_CRC(ocelot_mact_lookup, 0xbfb49559, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xa51bb80d, "");
SYMBOL_CRC(ocelot_pll5_init, 0xe1dee89a, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xac385a6d, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x6c573a4e, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x06f42572, "");
SYMBOL_CRC(ocelot_vlan_add, 0x7fb35a8c, "");
SYMBOL_CRC(ocelot_vlan_del, 0x56394721, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x901bb485, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x4bad2953, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xe674068f, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0xd2d517f7, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x66a4e61e, "");
SYMBOL_CRC(ocelot_lock_inj_grp, 0xa8b5f621, "_gpl");
SYMBOL_CRC(ocelot_unlock_inj_grp, 0xb581b812, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp, 0x4d389852, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp, 0x500cd661, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp_bh, 0xc3179f10, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp_bh, 0xaa7452fa, "_gpl");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x46f26646, "");
SYMBOL_CRC(ocelot_can_inject, 0x2a6c78c8, "");
SYMBOL_CRC(ocelot_ifh_set_basic, 0x09ebe371, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x1f30e563, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x1129b252, "");
SYMBOL_CRC(ocelot_fdb_add, 0xed6272fe, "");
SYMBOL_CRC(ocelot_fdb_del, 0xe981b44c, "");
SYMBOL_CRC(ocelot_mact_flush, 0x96a80e72, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xee470478, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x3440e36a, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0xf58c96e0, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xc2289afe, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x98656cb1, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x534c6d18, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xde4f76e3, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xf346178b, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x1634698c, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x06ade395, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x6bd6c0ea, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0xd318e7bd, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x1915d36e, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xd00950a6, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xc70e3412, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x0ec72800, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0xd402b00a, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x8e360d6a, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xcc39d2b4, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xf38c2f72, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x0332e782, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x473d3678, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x3f32c65f, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0xb70d636b, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xd6677190, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xdfbb279f, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xedebc12f, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x9a10d65c, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x99f52f51, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x4249a371, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x478ff50d, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xcf80feeb, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x51245432, "");
SYMBOL_CRC(ocelot_reset, 0x534eacda, "");
SYMBOL_CRC(ocelot_init, 0xbf53e497, "");
SYMBOL_CRC(ocelot_deinit, 0x806fa209, "");
SYMBOL_CRC(ocelot_deinit_port, 0xa07caac9, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xe37ee5a8, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xd4b060bb, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x16e5c8ee, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x2bfc4ef5, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x5744625b, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x672e19c1, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0xe3062c9d, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x83864737, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xeec21a14, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xf1cc4456, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x2b2dd598, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x448ed28b, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0xf66acb0f, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x540d56ce, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x7ea51bb3, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x67400826, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x888260b8, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x9cda5f10, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xeba61ac7, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xff40f185, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x49eb1011, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xbdf599ca, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xa018a45c, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x97064301, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xd0ccd988, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x9a39741a, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xa802e436, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x462b32a4, "");
SYMBOL_CRC(ocelot_port_policer_add, 0xa6454fd2, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x14b2d5ca, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x80a41120, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x9b89d559, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x65e0702f, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xdbe408b0, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xdcd1fe2d, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x2671ef1c, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x2e8cc7dc, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x65102c6a, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x2f0bd5c5, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x45e1f02e, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xc5c9433f, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x7ff7fdbf, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xfd0bb32b, "");
SYMBOL_CRC(ocelot_get_strings, 0x511fa763, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x75d5fc31, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xcfe7af40, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xa05c259f, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x1ec3a2af, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x8e73d68b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x2f9b8b8e, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x43a798dd, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x384a2dab, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x972bf7b4, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x83a98ee4, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x90c6d715, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0xbf74d407, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0xcbf1a6be, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x4e24c3a0, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x5982be9e, "");
SYMBOL_CRC(ocelot_mrp_del, 0x3bc8e926, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x3891742a, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x2f2437d5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81d4ba38, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfba5c527, "flow_rule_match_ipv4_addrs" },
	{ 0x1fe445cd, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x55589d7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42d2177e, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x40f87ed0, "skb_queue_purge_reason" },
	{ 0xe6478b58, "ptp_find_pin" },
	{ 0x202586bb, "eth_type_trans" },
	{ 0x19f13838, "ethtool_aggregate_pause_stats" },
	{ 0x41d1b258, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe702ee8b, "regmap_fields_read" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0xf9641ba5, "regmap_field_read" },
	{ 0x5ab5503c, "devm_regmap_field_alloc" },
	{ 0x68a19fbc, "ptp_classify_raw" },
	{ 0x27ebb2b8, "flow_rule_match_basic" },
	{ 0x3c91de57, "__dev_get_by_index" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0x574be016, "_dev_err" },
	{ 0xbd9d7934, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x90b26dab, "netif_set_real_num_tx_queues" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x637e1a25, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x2102d369, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x4cb7528, "flow_rule_match_ports" },
	{ 0x3aca637e, "__devm_regmap_init_mmio_clk" },
	{ 0x8ebd1c73, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b161d0d, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd52e5010, "ptp_clock_unregister" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0x5b7fce5d, "of_phy_get" },
	{ 0x53f4f63b, "br_vlan_get_pvid_rcu" },
	{ 0x25d3f150, "phy_set_mode_ext" },
	{ 0xdf29dde0, "netdev_reset_tc" },
	{ 0x8b0576fc, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1cc6eb22, "devm_ioremap_resource" },
	{ 0x3a8c53d0, "ethtool_aggregate_rmon_stats" },
	{ 0x38a469f3, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x89791fe0, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x754165d4, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf9efe4fc, "netdev_set_num_tc" },
	{ 0x7b1ab096, "regmap_update_bits_base" },
	{ 0xe0dffcae, "dev_err_probe" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0xcec9cd5, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc5d5a15d, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xc05e6afb, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x43541a4b, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x7b58647f, "skb_put" },
	{ 0xb097112d, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x155df74, "of_phy_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x60483b90, "skb_clone_sk" },
	{ 0xcd91680a, "br_vlan_get_proto" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf28affb, "regmap_fields_update_bits_base" },
	{ 0x2026b1a3, "flow_rule_match_eth_addrs" },
	{ 0x3d40ac11, "ptp_clock_index" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "D4D0062F77CF93D94C495CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
