#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xcb65fe1e, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xa3aa9502, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x752ead04, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xfab2c26d, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x374e4620, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8fdd6d5e, "eth_header_parse" },
	{ 0x1b76a4d0, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4d18eb17, "eth_header_cache_update" },
	{ 0xe2d770e7, "nf_register_net_hooks" },
	{ 0xdbd7f103, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x434bbbf6, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x3c91de57, "__dev_get_by_index" },
	{ 0xca8d5aec, "rtnl_link_unregister" },
	{ 0x768561c9, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x716ff2dd, "netif_stacked_transfer_operstate" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x642124fe, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19661d52, "ns_capable" },
	{ 0x483dbf24, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcfd3dae2, "ethtool_op_get_link" },
	{ 0xe7ec3601, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x79cd9cfd, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x11eb23f, "__pskb_pull_tail" },
	{ 0x8fa7e63b, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3ceb4130, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xb40569a5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcc8663fd, "vlan_vid_add" },
	{ 0x248b24c, "call_netdevice_notifiers" },
	{ 0x32821bbd, "vlan_vid_del" },
	{ 0x1e14f959, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x729954ac, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x83122055, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x90a314c9, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x38ff72b5, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xa2fe0938, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x84d68ee, "dev_change_flags" },
	{ 0xc4e6df14, "dev_forward_skb" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfa0e2b98, "register_netdevice" },
	{ 0x8546e060, "__do_once_done" },
	{ 0x4b11aab2, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x4a4f1eca, "dev_pre_changeaddr_notify" },
	{ 0x275ed8ab, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x319b9060, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5bfcd65e, "netdev_update_features" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0x3b784a07, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66f980eb, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc6a23dc5, "rtnl_link_register" },
	{ 0x78bcf34d, "netif_inherit_tso_max" },
	{ 0x50621b51, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x2589ff42, "ip_route_output_flow" },
	{ 0x71016f7a, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3737de5c, "dev_uc_unsync" },
	{ 0x76762ba1, "ether_setup" },
	{ 0x55589d7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64395578, "netdev_upper_dev_link" },
	{ 0x3030d6ad, "register_pernet_subsys" },
	{ 0xa3514aac, "dev_addr_mod" },
	{ 0xebd5a55a, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B82B76A4896558897CBD30F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
