#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7256ad3a, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfe77261d, "phy_restore_page" },
	{ 0xb5aa8e4f, "phy_write_paged" },
	{ 0xa8a91927, "mdiobus_read" },
	{ 0x16987828, "phy_modify" },
	{ 0xcde27e4f, "genphy_soft_reset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x69b59929, "ethnl_cable_test_pulse" },
	{ 0x95bc1fa, "ethnl_cable_test_step" },
	{ 0x3f65f862, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x574be016, "_dev_err" },
	{ 0x4deee10d, "phy_save_page" },
	{ 0xab604a0b, "phy_trigger_machine" },
	{ 0xcd2346e7, "phy_error" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8a4b1cf2, "devm_hwmon_device_register_with_info" },
	{ 0x7114529, "phy_drivers_unregister" },
	{ 0x77a6c2aa, "mdiobus_write" },
	{ 0xe95ef358, "genphy_c45_ethtool_get_eee" },
	{ 0x18618c23, "phy_config_aneg" },
	{ 0xa09d5456, "phy_sfp_probe" },
	{ 0xd322adcb, "genphy_read_lpa" },
	{ 0x3f05b5ab, "phy_resolve_aneg_pause" },
	{ 0x708d5df3, "genphy_update_link" },
	{ 0x187dc3f5, "genphy_read_status_fixed" },
	{ 0x8fc184d3, "genphy_resume" },
	{ 0x449ea1a0, "genphy_suspend" },
	{ 0xdd64e639, "strscpy" },
	{ 0x38aed37c, "phy_modify_changed" },
	{ 0x68272b71, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x98709457, "genphy_check_and_restart_aneg" },
	{ 0x6afe0b67, "genphy_setup_forced" },
	{ 0x68111fe2, "phy_modify_paged_changed" },
	{ 0xee3dad5b, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb5220ab2, "ethnl_cable_test_result" },
	{ 0xd4b0cbe3, "ethnl_cable_test_fault_length" },
	{ 0xd0ca196a, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90ce7124, "phy_drivers_register" },
	{ 0x61547374, "phy_read_paged" },
	{ 0xf85c0e34, "phy_modify_paged" },
	{ 0xac3bf04, "__mdiobus_read" },
	{ 0x55a3e324, "phy_select_page" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
