#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0x214fe497, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x8bbf6b4f, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x50613ac6, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xc3e2b1b8, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x9764f8a9, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x29621954, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0xb967826e, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x3ded6736, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0xc87a6555, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x2d42c06a, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0xe6485ab3, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x6a6ac14d, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0xec133388, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0xd7deff73, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0xbdf16e21, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x45b06883, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x944af3ee, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x36e0b079, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0xe982a3ce, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0xd842499b, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xaa5ac79e, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x04331715, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0xeed2e2d2, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0xfe662e02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa3514aac, "dev_addr_mod" },
	{ 0x202586bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4341b14f, "alloc_netdev_mqs" },
	{ 0x7880fc27, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc611c927, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5b4c23d5, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x5b5e5ae1, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x6533cdc3, "cfg80211_put_bss" },
	{ 0x139c1ad1, "netif_device_detach" },
	{ 0x5eded61c, "cfg80211_ch_switch_notify" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x33ead987, "netif_device_attach" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa9ccf14f, "ieee80211_get_channel_khz" },
	{ 0x9e16c4da, "__cfg80211_radar_event" },
	{ 0xc8867f0b, "cfg80211_tdls_oper_request" },
	{ 0x792865b0, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9cd6efb5, "devm_kmemdup" },
	{ 0x574be016, "_dev_err" },
	{ 0xf0429bda, "cfg80211_ibss_joined" },
	{ 0xceeb3509, "request_firmware_nowait" },
	{ 0xeb0e1929, "simple_open" },
	{ 0x768561c9, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe7fa1713, "wiphy_apply_custom_regulatory" },
	{ 0x4c9165a9, "cfg80211_michael_mic_failure" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x5b1cbce, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1feed4a7, "cfg80211_del_sta_sinfo" },
	{ 0xcb67ea68, "wiphy_unregister" },
	{ 0xfcb097e1, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd7bef2b3, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7574b30b, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x345d9b39, "netif_tx_stop_all_queues" },
	{ 0xbaabcaa0, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf7b5e4f3, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8fa7e63b, "netif_rx" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0x27b43457, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd93905b, "cfg80211_sched_scan_stopped_locked" },
	{ 0x21a400f6, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0x53ae104c, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x776f3f0d, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b8d2251, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x721db116, "skb_copy" },
	{ 0x729954ac, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x24b2180a, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xc57e3d95, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x962b1c10, "cfg80211_inform_bss_data" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc1ac854b, "cfg80211_connect_done" },
	{ 0x280f2878, "wiphy_free" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xfc305afb, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcbb8bf19, "skb_queue_head" },
	{ 0x65b0157c, "cfg80211_sched_scan_results" },
	{ 0xba8462f0, "skb_complete_wifi_ack" },
	{ 0xcb333acb, "cfg80211_mgmt_tx_status_ext" },
	{ 0x5fd86bfd, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1451a3f0, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb9a86a9a, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x307a8895, "cfg80211_chandef_dfs_required" },
	{ 0x750005c, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x47fe6f8a, "cfg80211_sched_scan_stopped" },
	{ 0xd20023a6, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x26c04416, "cfg80211_remain_on_channel_expired" },
	{ 0x25f0fe6a, "cfg80211_cac_event" },
	{ 0x2178a669, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xee4059e7, "cfg80211_register_netdevice" },
	{ 0x4895468e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xa88f0e6a, "ieee80211_amsdu_to_8023s" },
	{ 0xaacb2861, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4e9be770, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x514b8aa9, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x240ffc39, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x9fe526c5, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x76762ba1, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "62E34B45938163D186F724F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
