#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_mac_sta_add, 0x357846de, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xe7d54337, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x2941de5f, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x8f29a148, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x30ddddcc, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xbd5084b2, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x7e612d6a, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x65fb099c, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xcc2c8908, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x5c333c7e, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0xd80dfce6, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x17962eea, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x07c4116f, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x3edf63d8, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xa6a5aa3b, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x9419562d, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xd843ab53, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x29e60d13, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x04719a32, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x45782a81, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x508b3e72, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xd877bed5, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x09540800, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x45e9d142, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x599a10a1, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xb3f848c8, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xe49569f9, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xb407de88, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x95b332fa, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x7647f790, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1c1e2df, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xdf0510c0, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0x7283e104, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x11553f9b, "mt76_rx" },
	{ 0x708ddf48, "mt76_connac_mcu_sched_scan_req" },
	{ 0x9047759, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x7f3a4e34, "mt76_connac_mcu_uni_add_bss" },
	{ 0xc0a6f503, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98c4b8a3, "wiphy_to_ieee80211_hw" },
	{ 0xa49df089, "debugfs_attr_read" },
	{ 0xc97fe676, "mt76_connac_mcu_hw_scan" },
	{ 0xe98f4710, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf31f1d56, "ieee80211_queue_delayed_work" },
	{ 0xc1feed39, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0x574be016, "_dev_err" },
	{ 0xeb0e1929, "simple_open" },
	{ 0x768561c9, "skb_pull" },
	{ 0xfef5c0f4, "debugfs_create_file_unsafe" },
	{ 0x5bcf31f6, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xa5842604, "simple_attr_release" },
	{ 0xac21cf82, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfa6cc22a, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xaec9956, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0xb072de17, "mt76_set_channel" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x88e9de7e, "ieee80211_wake_queues" },
	{ 0xabfedea2, "mt76_mcu_send_and_get_msg" },
	{ 0x51612c4e, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8faca558, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd7bef2b3, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf44cb2d9, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b9c2708, "mt76_connac_pm_dequeue_skbs" },
	{ 0xc9b0001f, "mt76_connac_mcu_set_pm" },
	{ 0x8a3ad2fc, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xcac32607, "devm_hwmon_device_register_with_groups" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xeb7ee106, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e21fdc2, "debugfs_create_u32" },
	{ 0xcb048a03, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb38b47f3, "__SCK__tp_func_mac_txdone" },
	{ 0xc473b72, "mt76_sta_state" },
	{ 0x294b36a5, "ieee80211_ready_on_channel" },
	{ 0xd8964d44, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b9da51f, "mt76_connac_mcu_init_download" },
	{ 0x45bff2cc, "devm_kasprintf" },
	{ 0xa2ac9e3d, "cfg80211_reg_can_beacon" },
	{ 0x782c0c7b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5efc2d65, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x3baee9c9, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0x91f14843, "mt76_get_rate_power_limits" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x65106df, "ieee80211_sched_scan_results" },
	{ 0xcd1b821c, "ieee80211_scan_completed" },
	{ 0x2a42faf9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd7c0436e, "mt76_insert_ccmp_hdr" },
	{ 0xe5e58518, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x60fa20cc, "mt76_sw_scan_complete" },
	{ 0x93151a44, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9503a11d, "mt76_connac_mcu_start_firmware" },
	{ 0x70ed5791, "____mt76_poll_msec" },
	{ 0xe3a4cf92, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2dd7502c, "mt76_connac_mcu_rdd_cmd" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0x8ed39c97, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7cd5c9de, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x735f6ab7, "mt76_unregister_phy" },
	{ 0xa19fe207, "mt76_register_phy" },
	{ 0xa8fd55b4, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xb4344648, "mt76_put_txwi" },
	{ 0xfe0da73a, "mt76_wcid_cleanup" },
	{ 0x139419fd, "seq_puts" },
	{ 0x4026146b, "ieee80211_radar_detected" },
	{ 0xf10ca9bc, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x4f1027db, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x8cd3a890, "single_release" },
	{ 0x5bcbdfc6, "mt76_sw_scan" },
	{ 0x52cc4e63, "mt76_queues_read" },
	{ 0xee64ae14, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x38b9c089, "mt76_sta_pre_rcu_remove" },
	{ 0xf214d279, "mt76_register_debugfs_fops" },
	{ 0x5a2db172, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x64415d27, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xd649e7c, "mt76_connac_mcu_sta_ba" },
	{ 0x8ca0ca5, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0xe08b8f05, "ieee80211_queue_work" },
	{ 0xe8ac54df, "napi_schedule_prep" },
	{ 0xf13b3e51, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x204600c2, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xcde383cd, "__mt76_poll" },
	{ 0x46a4a2a, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x94b235f0, "debugfs_create_u8" },
	{ 0x38fc91c, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x7aceb60, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4a17e8dd, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x68271dae, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xb25cee32, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xca680df4, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x2454fa48, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xbb474757, "ieee80211_sta_register_airtime" },
	{ 0xcd1685c8, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0xa932f11d, "mt76_connac_mcu_sta_tlv" },
	{ 0x5fd86bfd, "device_set_wakeup_enable" },
	{ 0x948ee685, "mt76_tx_worker_run" },
	{ 0xdc724196, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9431ee46, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9430246, "simple_attr_open" },
	{ 0x8fecadbc, "ieee80211_iterate_interfaces" },
	{ 0x312f7dee, "debugfs_attr_write" },
	{ 0xe76a344f, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xdc0119f, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2939fe4, "firmware_request_nowarn" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1083a024, "mt76_tx_status_skb_get" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0x421b457b, "mt76_tx_status_lock" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x378d5606, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x7b6d3097, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5061fdaf, "ieee80211_free_hw" },
	{ 0x5f9bd01f, "mt76_connac_mcu_set_channel_domain" },
	{ 0x79c2476a, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9aa1c44, "mt76_release_buffered_frames" },
	{ 0x4895468e, "request_firmware" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x5df7161f, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x54908ecd, "__tracepoint_mac_txdone" },
	{ 0x655a404, "mt76_connac_pm_wake" },
	{ 0xe1af933d, "mt76_get_rate" },
	{ 0x63efba08, "mt76_wake_tx_queue" },
	{ 0x2f97b20f, "ieee80211_tx_status_ext" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4cda63bb, "mt76_connac_mcu_chip_config" },
	{ 0x148b72d0, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x563eedce, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xc6989224, "__mt76_tx_complete_skb" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0xd6360700, "mt76_set_stream_caps" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbc290329, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x90644820, "mt76_connac_mcu_update_arp_filter" },
	{ 0xf504b853, "mt76_connac_mcu_set_vif_ps" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xac590ba8, "mt76_mcu_rx_event" },
	{ 0x9ff6cb8d, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x76bbc202, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2d6bec2, "mt76_wcid_init" },
	{ 0xec15e98, "mt76_tx_status_check" },
	{ 0xabdebbbe, "wake_up_process" },
	{ 0x604a253e, "mt76_connac_free_pending_tx_skbs" },
	{ 0x40f87ed0, "skb_queue_purge_reason" },
	{ 0xdaafbd95, "mt76_connac_power_save_sched" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44e5911b, "ieee80211_send_bar" },
	{ 0xd819cffe, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x41791e97, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81c39fd5, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5e512321, "mt76_tx" },
	{ 0x6dfdc556, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf4609c8, "__alloc_skb" },
	{ 0xca43f895, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "FE907A7A3730CED7624F810");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
