#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf764082, "mt76_write_mac_initvals" },
	{ 0xfa21295a, "mt76x2_reset_wlan" },
	{ 0xe4a098cd, "mt76x2_mcu_set_channel" },
	{ 0x92bd8917, "mt76x02_mcu_set_radio_state" },
	{ 0x63efba08, "mt76_wake_tx_queue" },
	{ 0x148b72d0, "mt76_get_antenna" },
	{ 0x46b1e65b, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa69ce3df, "mt76x02_sta_ps" },
	{ 0xe171c1dd, "mt76x2_set_sar_specs" },
	{ 0x28d82448, "mt76u_resume_rx" },
	{ 0x44b0c39b, "mt76x02_sta_rate_tbl_update" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a94ae5a, "mt76_alloc_device" },
	{ 0xcee080ee, "mt76x02_mac_shared_key_setup" },
	{ 0xd5c50d4a, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69e364c6, "mt76x2_mac_stop" },
	{ 0x2367df7e, "usb_put_dev" },
	{ 0xec52d3a2, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37e5bd05, "mt76x02_update_channel" },
	{ 0x9d40b0, "mt76x2_configure_tx_delay" },
	{ 0xd2d2e51f, "usb_get_dev" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xaf770f0d, "mt76x02_configure_filter" },
	{ 0x6318cf92, "mt76_free_device" },
	{ 0x7c085a09, "mt76x02_queue_rx_skb" },
	{ 0x7626398, "mt76u_queues_deinit" },
	{ 0xf31f1d56, "ieee80211_queue_delayed_work" },
	{ 0x574be016, "_dev_err" },
	{ 0x27d85e7, "mt76x02u_mcu_fw_reset" },
	{ 0x47300420, "mt76x02_mac_setaddr" },
	{ 0xba41e32, "mt76_register_device" },
	{ 0x55d0ff24, "mt76_set_tim" },
	{ 0x484e0969, "mt76x02_sw_scan_complete" },
	{ 0xf6fc8d74, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x67647f52, "mt76x02_phy_set_band" },
	{ 0xb072de17, "mt76_set_channel" },
	{ 0x51e32382, "mt76x02_init_device" },
	{ 0xc6f94f6e, "mt76x02_tx" },
	{ 0x88e9de7e, "ieee80211_wake_queues" },
	{ 0x66a1979d, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xca00df36, "mt76x02_sta_remove" },
	{ 0x18d1acaf, "mt76x02_phy_set_rxpath" },
	{ 0xd6f03a94, "mt76x02_edcca_init" },
	{ 0xbb6241a4, "usb_deregister" },
	{ 0x505e109b, "mt76x02_tx_status_data" },
	{ 0xf53d387e, "mt76x02_sta_add" },
	{ 0xdf20efe1, "mt76x2_mcu_load_cr" },
	{ 0xf7ff55a, "mt76x2_init_txpower" },
	{ 0xcdebeb1a, "mt76x02u_mcu_fw_send_data" },
	{ 0x26423f16, "mt76u_init" },
	{ 0x8a3ad2fc, "mt76_get_survey" },
	{ 0x6b1f7b2e, "mt76x02_init_debugfs" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x8195c56d, "mt76x02u_init_mcu" },
	{ 0x5a88ddcd, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85b43c38, "mt76x2_mcu_init_gain" },
	{ 0xc473b72, "mt76_sta_state" },
	{ 0x564c532b, "mt76x2_phy_tssi_compensate" },
	{ 0xd8964d44, "ieee80211_stop_queues" },
	{ 0x470817ee, "mt76x02u_mac_start" },
	{ 0x41ebdffa, "mt76x02_mac_cc_reset" },
	{ 0x78df3ce5, "mt76x02_bss_info_changed" },
	{ 0xf2ac302b, "mt76x02_init_agc_gain" },
	{ 0xf097634a, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7f7ea8bf, "mt76_txq_schedule_all" },
	{ 0xca96e3be, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x732e28a2, "mt76u_stop_tx" },
	{ 0x2605e9f0, "mt76x02u_init_beacon_config" },
	{ 0x7a88faca, "ieee80211_unregister_hw" },
	{ 0xdec2dfcb, "mt76u_vendor_request" },
	{ 0xd89836bc, "mt76x02_add_interface" },
	{ 0x70ed5791, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7cd5c9de, "mt76_get_sar_power" },
	{ 0x261051a1, "mt76u_stop_rx" },
	{ 0x42482f9d, "mt76x02_ampdu_action" },
	{ 0xb2d4b5c5, "mt76x02_mcu_calibrate" },
	{ 0xd71e5ec9, "mt76x02_conf_tx" },
	{ 0x4e518657, "mt76x02_mcu_function_select" },
	{ 0x5bcbdfc6, "mt76_sw_scan" },
	{ 0x38b9c089, "mt76_sta_pre_rcu_remove" },
	{ 0x1e109e1c, "mt76x02_mac_wcid_setup" },
	{ 0xcde383cd, "__mt76_poll" },
	{ 0x41fdd67, "mt76x2_read_rx_gain" },
	{ 0x7e3ab6ae, "mt76x2_phy_set_txpower_regs" },
	{ 0xcd133c33, "mt76x2_phy_set_txpower" },
	{ 0x3fecad8e, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5af45d99, "mt76x02_remove_interface" },
	{ 0xa4eba63b, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xb7a09e54, "mt76x02_set_ethtool_fwver" },
	{ 0x5f9c8e7e, "mt76x02_set_key" },
	{ 0x9aa1c44, "mt76_release_buffered_frames" },
	{ 0x4895468e, "request_firmware" },
	{ 0xeedfa28b, "usb_register_driver" },
	{ 0x5df7161f, "mt76_get_txpower" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mt76-usb,usbcore,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "73FCE8CA70B6D4A42CDDF23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
