#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x7ccf6523, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0x9e31ad7e, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0x7e9315ef, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0xdae0bf00, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0x8ce85c99, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0x2e3b87af, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0xfcad0779, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0xd5d24798, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x25834970, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0xefa53c42, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0x346eb40f, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0x16949a99, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0xcd2b2f55, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x7bf89022, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0x959b5777, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0xb5e1669b, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0x7384e58c, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0xad522002, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x46763658, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0x20463c3a, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0xd01939c4, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x5d160523, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0xa1f899dd, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0xd0aa1310, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0x1a25983e, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x2351cc44, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0xa320176f, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xd6e53eed, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0x6414b5a6, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x6d1c1ea5, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0xe2a3d021, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x22cea76a, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0xabe56ef2, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x38bad00a, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0xdc68e436, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0x6083aa68, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x8ece8df9, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0x13a3212d, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0xe20047b9, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0x4859b6e9, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x1e5c475e, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0xe9c648ff, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0xac5168c1, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x6ae2bb1c, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0xb1a2cc8f, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x7c812de6, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0x924e36a0, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0x3edf3780, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x89849514, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x6467b7b6, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0x63783995, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0xe115ce40, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x79c2476a, "mt76_connac_mcu_uni_add_dev" },
	{ 0x4895468e, "request_firmware" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb4184e8f, "ieee80211_iterate_stations_atomic" },
	{ 0x655a404, "mt76_connac_pm_wake" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x28b92a9, "mt76_has_tx_pending" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x387744c1, "mt76_dma_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x76bbc202, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec15e98, "mt76_tx_status_check" },
	{ 0xabdebbbe, "wake_up_process" },
	{ 0x604a253e, "mt76_connac_free_pending_tx_skbs" },
	{ 0xdaafbd95, "mt76_connac_power_save_sched" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e0a30a9, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5e512321, "mt76_tx" },
	{ 0x6dfdc556, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf31f1d56, "ieee80211_queue_delayed_work" },
	{ 0x9cd6efb5, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0x574be016, "_dev_err" },
	{ 0x32aa1ccd, "mt76_connac2_load_ram" },
	{ 0xa130f8d3, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x7a6de93f, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x88e9de7e, "ieee80211_wake_queues" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8d55e25b, "mt76_set_irq_mask" },
	{ 0x5b9c2708, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5da0ec0a, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0068bee, "__tracepoint_dev_irq" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x2a42faf9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7f7ea8bf, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33af0b7e, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x70ed5791, "____mt76_poll_msec" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfe0da73a, "mt76_wcid_cleanup" },
	{ 0x139419fd, "seq_puts" },
	{ 0xe08b8f05, "ieee80211_queue_work" },
	{ 0xe8ac54df, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5fd86bfd, "device_set_wakeup_enable" },
	{ 0x841f5301, "mt76_dma_rx_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcd073a3f, "is_acpi_device_node" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76");


MODULE_INFO(srcversion, "A97B9F9AC8E9F4B31110D49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
