#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x9f28d778, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x1f64307c, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0xa0c7c3cb, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x18d300f7, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x827e9938, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xc0b70424, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xde9614d0, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x3618af32, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x06a51788, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x6916576f, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x4c241f8c, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xc563fa7e, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x01c57333, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xcf9d2acf, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x651aa83f, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x8743a5f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9cc3e56, "rt2x00queue_get_entry" },
	{ 0x91fc3c4d, "rt2800_process_rxwi" },
	{ 0x143e8857, "rt2x00lib_beacondone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x50742c1e, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd276c6ae, "rt2800_get_txwi_rxwi_size" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x54e937ba, "rt2800_disable_wpdma" },
	{ 0xc5adea0, "rt2800_wait_wpdma_ready" },
	{ 0x888ef0bd, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xce93f648, "rt2800_txdone" },
	{ 0xe1c1bedc, "rt2800_txdone_nostatus" },
	{ 0xd7a2574d, "rt2800_txstatus_timeout" },
	{ 0xc42ae280, "rt2800_txstatus_pending" },
	{ 0xc1f75cc8, "rt2800_probe_hw" },
	{ 0x6e91c008, "rt2x00lib_pretbtt" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x829f9120, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "01CE6D4B6D990DC362815EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
