#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xf0cd965d, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x143e8857, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x6e91c008, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x9d3c7413, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xfc38c975, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xb120edc2, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x59827726, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x1742a4bf, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x2abc67b6, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x478b15aa, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xdc8e48d7, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x08802d6e, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x56fde5d7, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xe432bd75, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xa528cba3, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x4061fe44, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xe154e8c4, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x016b3971, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x244f061c, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x78682afb, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x99bc52b5, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xeaf73ab0, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x96888947, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xb052085b, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x6fba9cbe, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x7256512a, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x7981e150, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x433beb36, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xad2cf6a8, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x2f950a15, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x8c8309b7, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x1ac465b1, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x7e583863, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x08f33652, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xb220ea2e, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x19e2d90c, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x7605bbc4, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x1387ff66, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0xe9cc3e56, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xe8d58f8f, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x3357285d, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x8c19a674, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xc11719a9, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x5fcc3012, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xdd29b6e5, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x25061633, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x2c5805a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4215b765, "dma_unmap_page_attrs" },
	{ 0x4895468e, "request_firmware" },
	{ 0x45736539, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x2f97b20f, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xbe8f0cba, "led_classdev_unregister" },
	{ 0x37f52067, "ieee80211_register_hw" },
	{ 0x9f5a914b, "__ieee80211_create_tpt_led_trigger" },
	{ 0xbc290329, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x1578dd9e, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0x5f547a85, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3c38594, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf31f1d56, "ieee80211_queue_delayed_work" },
	{ 0x574be016, "_dev_err" },
	{ 0x603aa38f, "ieee80211_ctstoself_get" },
	{ 0x768561c9, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9ae1f820, "ieee80211_free_txskb" },
	{ 0x601c6e, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe466054a, "ieee80211_tx_status" },
	{ 0xb40a41ca, "ieee80211_stop_queue" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0xd8964d44, "ieee80211_stop_queues" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe966960f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd65acad0, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2a42faf9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc22f35c8, "led_classdev_resume" },
	{ 0x7a88faca, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12684c4e, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4d88516e, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe08b8f05, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x57de3f19, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8fecadbc, "ieee80211_iterate_interfaces" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "4CE9C1686889935649CFDC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
