#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x4e77181e, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xe9d7d93a, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x6a5829ac, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x5d38bb2b, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x1711b8df, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x0aef05c8, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x703f1b5b, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x0cdcba8f, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x8ebe6639, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x9623a451, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xd7769e0c, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x5c9267ac, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x6ac0862a, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x00680754, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xe7e94880, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xf6cf1ec0, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x4ed4bd17, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x6c70d78f, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x973ae8a8, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x8759f1c7, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x6693331d, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x1420a309, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xf047c155, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x8ae367d8, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x89e0ca0f, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0xaeb2d156, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x04e77232, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xbddae5cc, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0xea2475cb, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0xd211f232, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x06bc6dfb, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x78057c14, "");
SYMBOL_CRC(wlcore_tx_complete, 0xc27a6b71, "");
SYMBOL_CRC(wl1271_tx_flush, 0x103b35a2, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xd34bc72f, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xceca2042, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x5afcb99b, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xc1e9cb92, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x22dc7557, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0xd94bc5a3, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x21033ae0, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xec27f242, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x8dc8f017, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xd9b74b30, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x47ed1557, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x64450afd, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x9e69a8e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x792865b0, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x582d2015, "device_create_file" },
	{ 0x98c4b8a3, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf31f1d56, "ieee80211_queue_delayed_work" },
	{ 0xd684f180, "ieee80211_proberesp_get" },
	{ 0x7a33034a, "device_wakeup_enable" },
	{ 0xceeb3509, "request_firmware_nowait" },
	{ 0xeb0e1929, "simple_open" },
	{ 0x768561c9, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8877869f, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xaec9956, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0x5cbb9c0c, "no_seek_end_llseek" },
	{ 0x88e9de7e, "ieee80211_wake_queues" },
	{ 0x88962657, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x9ae1f820, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x947409b4, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x78f81e21, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf7b5e4f3, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe466054a, "ieee80211_tx_status" },
	{ 0xb40a41ca, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x294b36a5, "ieee80211_ready_on_channel" },
	{ 0xd8964d44, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45ccd0f0, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x2aa41caa, "pv_ops" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x65106df, "ieee80211_sched_scan_results" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0xcd1b821c, "ieee80211_scan_completed" },
	{ 0x2a42faf9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x2bdc3c19, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x112f4339, "pm_runtime_force_resume" },
	{ 0x7a88faca, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x12684c4e, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xbdbd15c4, "ieee80211_cqm_rssi_notify" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe08b8f05, "ieee80211_queue_work" },
	{ 0xa3d77561, "__pm_runtime_use_autosuspend" },
	{ 0x739bb041, "ieee80211_sta_ps_transition" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0xe256ca91, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0x7aceb60, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xae3ff4bc, "pm_runtime_force_suspend" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xa8c8a372, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa0b1dd9d, "device_remove_bin_file" },
	{ 0xdd8a2296, "device_remove_file" },
	{ 0xb25cee32, "ieee80211_csa_finish" },
	{ 0xcbb8bf19, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x57de3f19, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe03874f9, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1451a3f0, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8fecadbc, "ieee80211_iterate_interfaces" },
	{ 0x8ce30f0c, "ieee80211_sched_scan_stopped" },
	{ 0xb9a86a9a, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x41c19117, "ieee80211_chswitch_done" },
	{ 0x7b58647f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2178a669, "skb_dequeue" },
	{ 0x8ededc6d, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5061fdaf, "ieee80211_free_hw" },
	{ 0xecb3339f, "ieee80211_probereq_get" },
	{ 0x4895468e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xef74c3d1, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x96d0a1b8, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc4bb5390, "ieee80211_pspoll_get" },
	{ 0x37f52067, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf96f5881, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbc290329, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd49af89, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xffac4e93, "ieee80211_stop_rx_ba_session" },
	{ 0x1578dd9e, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31c72967, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5984166c, "ieee80211_find_sta" },
	{ 0x12f1b7e7, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2558a112, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8defea65, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "0B34CA8D0B2CCDB34244435");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
