#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x44e3cda1, "");
SYMBOL_CRC(ndlc_close, 0x1e7bfa6d, "");
SYMBOL_CRC(ndlc_send, 0x3f518a85, "");
SYMBOL_CRC(ndlc_recv, 0xd21f5b47, "");
SYMBOL_CRC(ndlc_probe, 0x9bb33163, "");
SYMBOL_CRC(ndlc_remove, 0x9a69a8d6, "");
SYMBOL_CRC(st_nci_probe, 0x673fbab6, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xd180aa5f, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x2002476d, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x6971bd97, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x25227332, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x3b07deb8, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x835013f0, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x40b3abfc, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x9c4be571, "");
SYMBOL_CRC(st_nci_se_init, 0xbab540c4, "");
SYMBOL_CRC(st_nci_se_deinit, 0xae64acbe, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x6e6f42d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbda0f725, "nfc_se_transaction" },
	{ 0x574be016, "_dev_err" },
	{ 0x768561c9, "skb_pull" },
	{ 0x2d18cb2b, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0xb396c1e7, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xc81ad732, "nci_prop_cmd" },
	{ 0x5a5fc110, "nci_core_conn_create" },
	{ 0xb24b3911, "nci_nfcc_loopback" },
	{ 0xcfd94d91, "nci_unregister_device" },
	{ 0x3c4c1ae7, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f94ec4d, "nci_hci_send_event" },
	{ 0x90bd0c6f, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddffbb7, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83c8835c, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x85e32535, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3b0028c5, "nci_recv_frame" },
	{ 0xc9aad356, "nci_hci_dev_session_init" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x9f3601f7, "nci_hci_set_param" },
	{ 0xadd996ce, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcbb8bf19, "skb_queue_head" },
	{ 0x4ff2e881, "nci_free_device" },
	{ 0x2fd80f86, "nci_allocate_device" },
	{ 0x7cc041cd, "nci_register_device" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xfbc1bab1, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf399a89, "nfc_add_se" },
	{ 0x2178a669, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3759ff3, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40f87ed0, "skb_queue_purge_reason" },
	{ 0xb0346754, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8782c1, "nci_hci_get_param" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
