#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x9a9f7721, "");
SYMBOL_CRC(ntb_unregister_client, 0xa899bbcb, "");
SYMBOL_CRC(ntb_register_device, 0xd5a95a83, "");
SYMBOL_CRC(ntb_unregister_device, 0x57f09a86, "");
SYMBOL_CRC(ntb_set_ctx, 0x436d9219, "");
SYMBOL_CRC(ntb_clear_ctx, 0x073663c1, "");
SYMBOL_CRC(ntb_link_event, 0xe2d2286f, "");
SYMBOL_CRC(ntb_db_event, 0xe9ec07fb, "");
SYMBOL_CRC(ntb_msg_event, 0xd939f392, "");
SYMBOL_CRC(ntb_default_port_number, 0x02ab9448, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x2b0c7fac, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x65d8ec8e, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xdd27df6b, "");
SYMBOL_CRC(ntb_msi_init, 0x40b0b4b0, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x1ccce2b6, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xca53949f, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x2e399f71, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x32f05999, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xda85686d, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0xe9451189, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x827ce054, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xd4ed3d71, "devm_iounmap" },
	{ 0x4c8fcdeb, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cba2eeb, "devres_destroy" },
	{ 0x2b36286a, "msi_unlock_descs" },
	{ 0x1b49f280, "devm_ioremap" },
	{ 0x80a89d7c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb4f4598c, "msi_lock_descs" },
	{ 0x1ce1dea6, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xfe8e9dd8, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0x660612ed, "irq_get_irq_data" },
	{ 0xbefbe03f, "__devres_alloc_node" },
	{ 0xdd123d25, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x54362e31, "device_register" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbb0bbce6, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xea664d98, "msi_next_desc" },
	{ 0xef25f6ab, "driver_register" },
	{ 0x4168c926, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x7bb19d7e, "devm_request_threaded_irq" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
