#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(__scsi_init_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_resume_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0xe7cd8e1d, "");
SYMBOL_CRC(scsi_track_queue_full, 0x2cd4afbd, "");
SYMBOL_CRC(scsi_get_vpd_page, 0xaf287929, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0xfb0a10f0, "");
SYMBOL_CRC(scsi_device_get, 0xa3b0a73a, "");
SYMBOL_CRC(scsi_device_put, 0xd90eda4c, "");
SYMBOL_CRC(__scsi_iterate_devices, 0xb3118f82, "");
SYMBOL_CRC(starget_for_each_device, 0x9f07254a, "");
SYMBOL_CRC(__starget_for_each_device, 0xabe47756, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0x5f2b5de8, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0x79256e89, "");
SYMBOL_CRC(__scsi_device_lookup, 0x2ace79df, "");
SYMBOL_CRC(scsi_device_lookup, 0xe392320f, "");
SYMBOL_CRC(scsi_remove_host, 0xe4226b25, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0xaffbf8d4, "");
SYMBOL_CRC(scsi_host_alloc, 0x09600519, "");
SYMBOL_CRC(scsi_host_lookup, 0x7fac4739, "");
SYMBOL_CRC(scsi_host_get, 0xdba9db43, "");
SYMBOL_CRC(scsi_host_busy, 0xba6415d6, "");
SYMBOL_CRC(scsi_host_put, 0xd7bf6031, "");
SYMBOL_CRC(scsi_is_host_device, 0x21574791, "");
SYMBOL_CRC(scsi_queue_work, 0x6877abe5, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x50f3fc6f, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0x3f2db012, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0xba908390, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0x0182cb3f, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0x70ceee1a, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0x3c815642, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x610caabf, "");
SYMBOL_CRC(scsi_partsize, 0x6ae83b87, "");
SYMBOL_CRC(scsicam_bios_param, 0x60992a8d, "");
SYMBOL_CRC(scsi_schedule_eh, 0x0e33c6fc, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0xbfd84e65, "");
SYMBOL_CRC(scsi_check_sense, 0xc2531a2d, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0xccc13800, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0x06a0d30b, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0x07de95b2, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0xdfb356f4, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0x872ca2cd, "");
SYMBOL_CRC(scsi_report_device_reset, 0xbc3d489c, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0xcbc029cc, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_execute_cmd, 0x52a2895b, "");
SYMBOL_CRC(scsi_free_sgtables, 0x7bffac9c, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0x65fa5bdc, "");
SYMBOL_CRC(scsi_alloc_request, 0x9a0faf77, "_gpl");
SYMBOL_CRC(scsi_done, 0x6d56af9d, "");
SYMBOL_CRC(scsi_done_direct, 0x5d9f0574, "");
SYMBOL_CRC(__scsi_init_queue, 0x477e77a4, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0xb91766d1, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0xcafe8d27, "");
SYMBOL_CRC(scsi_unblock_requests, 0xbd1906fe, "");
SYMBOL_CRC(scsi_mode_select, 0x764fdf6a, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0x547a5041, "");
SYMBOL_CRC(scsi_test_unit_ready, 0x7480dcc1, "");
SYMBOL_CRC(scsi_device_set_state, 0xbd804d0a, "");
SYMBOL_CRC(sdev_evt_send, 0x5dcc1dfd, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x375e73c0, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0xc83aa369, "");
SYMBOL_CRC(scsi_device_resume, 0x4640b1c6, "");
SYMBOL_CRC(scsi_target_quiesce, 0xb2f03cc4, "");
SYMBOL_CRC(scsi_target_resume, 0x278e1172, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x61cebc9d, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x6a5281cb, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0x01ecc822, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0xb5fa5fcb, "_gpl");
SYMBOL_CRC(scsi_host_block, 0xd92828f6, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0x971b7adb, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xae66472b, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0xf0d1dc05, "");
SYMBOL_CRC(sdev_enable_disk_events, 0xd59516ea, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0x8f680820, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0x9b801529, "");
SYMBOL_CRC(scsi_build_sense, 0x6be7747f, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0xe2d19cd4, "");
SYMBOL_CRC(scsi_dma_unmap, 0x3bd7896d, "");
SYMBOL_CRC(scsi_is_target_device, 0x702d48bf, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0xafb3b847, "");
SYMBOL_CRC(scsi_add_device, 0x6d953643, "");
SYMBOL_CRC(scsi_resume_device, 0xebe83fe6, "");
SYMBOL_CRC(scsi_rescan_device, 0x295737ef, "");
SYMBOL_CRC(scsi_scan_target, 0x8b703a95, "");
SYMBOL_CRC(scsi_scan_host, 0xb0e7f050, "");
SYMBOL_CRC(scsi_remove_device, 0x85b605fc, "");
SYMBOL_CRC(scsi_remove_target, 0x3f43fc22, "");
SYMBOL_CRC(scsi_register_driver, 0xf1c81d13, "");
SYMBOL_CRC(scsi_register_interface, 0x8a0e405b, "");
SYMBOL_CRC(scsi_is_sdev_device, 0xa84ecdab, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0xac933746, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0x45a0c7ad, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0xe663db30, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0x80bfd7c1, "");
SYMBOL_CRC(scmd_printk, 0x4cf8a5a9, "");
SYMBOL_CRC(__scsi_format_command, 0x93022ba6, "");
SYMBOL_CRC(scsi_print_command, 0x33d739ec, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0x4249f0d2, "");
SYMBOL_CRC(__scsi_print_sense, 0x3df4cc3c, "");
SYMBOL_CRC(scsi_print_sense, 0xfb4925ca, "");
SYMBOL_CRC(scsi_print_result, 0x190e20ae, "");
SYMBOL_CRC(scsi_autopm_get_device, 0xe6a129b4, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0x1c7b0f21, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0x81c7293d, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0xfa9728c5, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0x91a0bb30, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0xff46d59a, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0x86162714, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x58590283, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fdfd499, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4b7aa1d7, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x93337380, "blk_get_queue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2ff2c6ab, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x56f82a5d, "blk_rq_map_user" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0x574be016, "_dev_err" },
	{ 0x74ec385d, "init_net" },
	{ 0x1ba031b0, "blk_update_request" },
	{ 0x768561c9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa2c45a20, "bus_find_device" },
	{ 0x1947aaf9, "device_add" },
	{ 0xf5fc6b3c, "blk_rq_map_user_io" },
	{ 0x5539d687, "blk_execute_rq_nowait" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7f931016, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa35d4989, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdd831195, "kmem_cache_free" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4aa1cd6e, "seq_putc" },
	{ 0xf3ece2c3, "__blk_rq_map_sg" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e288e7e, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x72809b4c, "blk_queue_segment_boundary" },
	{ 0xbeb0f31c, "transport_configure_device" },
	{ 0x4eba01b9, "bsg_register_queue" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2dad5c2d, "netlink_kernel_release" },
	{ 0x3f7580e8, "class_unregister" },
	{ 0x8b557d61, "blk_mq_free_tag_set" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4acd4fd5, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xb85d3358, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc4e8636e, "transport_add_device" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf5c55f0, "blk_put_queue" },
	{ 0x26a860dc, "bpf_trace_run1" },
	{ 0xdcb76756, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x4bd02c97, "proc_mkdir" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6c57c835, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6ffeaded, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x29418df3, "blk_mq_init_queue" },
	{ 0x5cacf358, "blk_post_runtime_resume" },
	{ 0xa844da3e, "blk_rq_unmap_user" },
	{ 0xd73ded5d, "param_ops_string" },
	{ 0xb4865641, "blk_clear_pm_only" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa204b4e4, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2aa41caa, "pv_ops" },
	{ 0x782c0c7b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x33540f54, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa89abe73, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc5780d4a, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xaa29a90c, "blk_mq_freeze_queue" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x954f49c1, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x55081a22, "sysfs_break_active_protection" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc7b7e123, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xdea5c80a, "blk_rq_map_integrity_sg" },
	{ 0x2a72fbfe, "transport_destroy_device" },
	{ 0x87a64503, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x2b51a98a, "device_match_any" },
	{ 0x591d34bb, "blk_mq_unfreeze_queue" },
	{ 0xf8a61de6, "blk_mq_start_request" },
	{ 0x7b085fb5, "blk_mq_tagset_busy_iter" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x139419fd, "seq_puts" },
	{ 0x8cd3a890, "single_release" },
	{ 0x1f7de5bb, "blk_mq_quiesce_queue_nowait" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0xfe0c4c21, "dma_unmap_sg_attrs" },
	{ 0x7f543f52, "seq_open" },
	{ 0x1cdf3fff, "blk_pre_runtime_suspend" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0x46f5602b, "blk_queue_max_hw_sectors" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0xcff1db4c, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7c782681, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe256ca91, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xeafa5113, "sbitmap_get" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4901063b, "blk_post_runtime_suspend" },
	{ 0x6260e897, "blk_mq_requeue_request" },
	{ 0xef25f6ab, "driver_register" },
	{ 0x3f8ee911, "class_register" },
	{ 0xa8c8a372, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbda82f8b, "blk_queue_rq_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xefc93edb, "kmem_cache_alloc_node" },
	{ 0xdd8a2296, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4168c926, "bus_register" },
	{ 0xe7ede78d, "kmem_cache_destroy" },
	{ 0xf3eb36a1, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa0072329, "class_find_device" },
	{ 0x654018bd, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa1d32eae, "param_ops_ullong" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xb8008add, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x346fb6f1, "add_disk_randomness" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb9a86a9a, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x24ec9086, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2bef827, "proc_create" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xfeceb918, "seq_release" },
	{ 0xe70a6d9e, "blk_queue_max_segment_size" },
	{ 0x1309e580, "blk_pre_runtime_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x3a43c4f4, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c8fcdeb, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc7e9f76f, "read_cache_folio" },
	{ 0xbe908cfe, "sysfs_unbreak_active_protection" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0xb90dec5b, "blk_mq_unquiesce_queue" },
	{ 0xfb39061d, "blk_queue_dma_alignment" },
	{ 0x463c3e3b, "sbitmap_init_node" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0xf0dd8ed8, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xe3354553, "blk_mq_kick_requeue_list" },
	{ 0x82420d63, "proc_create_data" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0x44604f39, "device_for_each_child" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x80a89d7c, "get_device" },
	{ 0xf23919b8, "blk_set_queue_depth" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x262ea5f, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8a22e8b5, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2930bc0, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x263e13dd, "platform_bus" },
	{ 0x11de56c, "blk_mq_alloc_tag_set" },
	{ 0xabdebbbe, "wake_up_process" },
	{ 0x1741ddee, "trace_seq_puts" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x30c1995, "blk_rq_init" },
	{ 0x6420c4bd, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x9db98b4a, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7859c676, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8d80caa3, "blk_execute_rq" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb44369df, "blk_set_pm_only" },
	{ 0x13cc4652, "dma_max_mapping_size" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0x8defea65, "pm_runtime_enable" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x33944a69, "blk_mq_free_request" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "B0591E814CDED3CE42DC3C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
