#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xfa20646a, "");
SYMBOL_CRC(sas_remove_host, 0xd6e8b9a7, "");
SYMBOL_CRC(sas_get_address, 0xc49d8eae, "");
SYMBOL_CRC(sas_tlr_supported, 0xb19ca5fb, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x3e3936af, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x38f5cd89, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xd86f7e55, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x789bc148, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xba833908, "");
SYMBOL_CRC(sas_phy_add, 0xeb029ab9, "");
SYMBOL_CRC(sas_phy_free, 0x974c9d7d, "");
SYMBOL_CRC(sas_phy_delete, 0x7c4d72e6, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x36b729a0, "");
SYMBOL_CRC(sas_port_alloc, 0x58ed3aef, "");
SYMBOL_CRC(sas_port_alloc_num, 0x64b4f479, "");
SYMBOL_CRC(sas_port_add, 0x66a2a3b3, "");
SYMBOL_CRC(sas_port_free, 0x6be01eb5, "");
SYMBOL_CRC(sas_port_delete, 0x9f81d3c3, "");
SYMBOL_CRC(scsi_is_sas_port, 0xdef0363d, "");
SYMBOL_CRC(sas_port_get_phy, 0xa7445db9, "");
SYMBOL_CRC(sas_port_add_phy, 0x59adf00d, "");
SYMBOL_CRC(sas_port_delete_phy, 0x9d423115, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xa9cf3b76, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x5da8949a, "");
SYMBOL_CRC(sas_end_device_alloc, 0x437d568b, "");
SYMBOL_CRC(sas_expander_alloc, 0x085f46a8, "");
SYMBOL_CRC(sas_rphy_add, 0xbfb2967d, "");
SYMBOL_CRC(sas_rphy_free, 0xae989c02, "");
SYMBOL_CRC(sas_rphy_delete, 0xe43e1f31, "");
SYMBOL_CRC(sas_rphy_unlink, 0xd2bb05d3, "");
SYMBOL_CRC(sas_rphy_remove, 0x3cd36753, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x9a61b6ee, "");
SYMBOL_CRC(sas_attach_transport, 0xd5f8108b, "");
SYMBOL_CRC(sas_release_transport, 0x3460a19e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xbed2c464, "attribute_container_register" },
	{ 0xaf287929, "scsi_get_vpd_page" },
	{ 0x547a5041, "scsi_mode_sense" },
	{ 0xab8686ec, "attribute_container_unregister" },
	{ 0xe4226b25, "scsi_remove_host" },
	{ 0x6e0d491e, "bsg_remove_queue" },
	{ 0x3f43fc22, "scsi_remove_target" },
	{ 0x21574791, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x65c725be, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x26674a81, "dma_opt_mapping_size" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x9db98b4a, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x44604f39, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1947aaf9, "device_add" },
	{ 0xc4e8636e, "transport_add_device" },
	{ 0xbeb0f31c, "transport_configure_device" },
	{ 0xdcb76756, "device_del" },
	{ 0x2a72fbfe, "transport_destroy_device" },
	{ 0x3a43c4f4, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x80a89d7c, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xae393ea4, "sysfs_remove_link" },
	{ 0xc0acf86e, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcff1db4c, "_dev_printk" },
	{ 0x8b703a95, "scsi_scan_target" },
	{ 0x302be32b, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x4968f147, "transport_class_register" },
	{ 0x2b814530, "transport_class_unregister" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
