#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x1e547f2f, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x66be945a, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x08e543a2, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x959b708c, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x27d905ce, "");
SYMBOL_CRC(cdns_read_ping_status, 0xe83c773d, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xcbce432b, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xcbbe016f, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xe15d075e, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x2aed1c94, "");
SYMBOL_CRC(sdw_cdns_init, 0x089f8185, "");
SYMBOL_CRC(cdns_bus_conf, 0xf3ed0007, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x2d10964b, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x5a690e39, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x51b0c206, "");
SYMBOL_CRC(sdw_cdns_probe, 0x63d06b03, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x67419d4b, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x2a0b216c, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0xf1a3909f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeb3e59cb, "sdw_handle_slave_status" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xa49df089, "debugfs_attr_read" },
	{ 0x574be016, "_dev_err" },
	{ 0xa5842604, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x782c0c7b, "seq_read" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0x8cd3a890, "single_release" },
	{ 0x41bd6b7e, "sdw_bread_no_pm_unlocked" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0x38fc91c, "single_open" },
	{ 0xd79e7867, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba220f4a, "sdw_bus_prep_clk_stop" },
	{ 0x9430246, "simple_attr_open" },
	{ 0x312f7dee, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc816401, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "7BA28D422E1C8D3BB32A149");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
