#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x86117bb5, "");
SYMBOL_CRC(ssb_bus_suspend, 0x6e9540dc, "");
SYMBOL_CRC(ssb_bus_unregister, 0xf6f439e3, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xa1536b50, "");
SYMBOL_CRC(__ssb_driver_register, 0x7308cec3, "");
SYMBOL_CRC(ssb_driver_unregister, 0x81fd6974, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x05ecd760, "");
SYMBOL_CRC(ssb_clockspeed, 0xaca651dc, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xc464c1d9, "");
SYMBOL_CRC(ssb_device_enable, 0x5b8484ba, "");
SYMBOL_CRC(ssb_device_disable, 0x5ba005a3, "");
SYMBOL_CRC(ssb_dma_translation, 0xa18b7272, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xcbca2b66, "");
SYMBOL_CRC(ssb_bus_powerup, 0x7fa8edce, "");
SYMBOL_CRC(ssb_commit_settings, 0xfcc3e4fd, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x3bbc24c7, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x805fd846, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xea6d2400, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x404ed209, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xfe5b1ec3, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x6cecf9f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x582d2015, "device_create_file" },
	{ 0x46f9a108, "sdio_readsb" },
	{ 0xff814319, "gpiochip_get_data" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0x574be016, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x925a762a, "pcmcia_request_window" },
	{ 0x1c0d1455, "pci_read_config_word" },
	{ 0x45f8f54d, "sdio_readl" },
	{ 0xdd123d25, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x84e01fca, "pcmcia_write_config_byte" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9b2f48ab, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x54362e31, "device_register" },
	{ 0x2a84d74a, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x181b3d14, "sdio_writel" },
	{ 0x610cb310, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x4d76f6f5, "gpiochip_add_data_with_key" },
	{ 0xe9787650, "_dev_emerg" },
	{ 0xd79109a, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd8b49edd, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x851aeea4, "pci_disable_device" },
	{ 0xd69ab69e, "sdio_writesb" },
	{ 0xfee5b63e, "pcmcia_read_config_byte" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd431808d, "pcmcia_register_driver" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x8cfb9e93, "pci_write_config_word" },
	{ 0xcd4ef3e7, "pcmcia_loop_tuple" },
	{ 0xf81b709f, "pcmcia_enable_device" },
	{ 0xef25f6ab, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6af68c39, "pci_write_config_dword" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xdd8a2296, "device_remove_file" },
	{ 0x4168c926, "bus_register" },
	{ 0x848a7a79, "sdio_readb" },
	{ 0xced9100b, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x94366d75, "pci_save_state" },
	{ 0xdc8a3675, "sdio_release_host" },
	{ 0x5fd86bfd, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x24eb511e, "pci_enable_device" },
	{ 0xe9442150, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x6416a74a, "sdio_claim_host" },
	{ 0x20d877db, "pci_iomap" },
	{ 0x13771b0c, "sdio_readw" },
	{ 0x4c8fcdeb, "device_unregister" },
	{ 0xdfe6a88f, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9f8ed434, "__pci_register_driver" },
	{ 0x94ad9e4a, "pcmcia_unregister_driver" },
	{ 0xc18a081a, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x33131440, "pcmcia_map_mem_page" },
	{ 0x674b0928, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x69424437, "sdio_writew" },
	{ 0x80a89d7c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xbb1dae55, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0x2fd01dbd, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "AB0DDBB542DD47B925CFABB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
