#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_channel_map, "", "");
KSYMTAB_DATA(rt_global_debug_component, "", "");
KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_EnableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_DisableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_stop_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_start_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_get_beacon, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_MgntDisconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rawtx, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(RemovePeerTS, "", "");

SYMBOL_CRC(dot11d_init, 0xeac1ba30, "");
SYMBOL_CRC(dot11d_channel_map, 0x83ac263d, "");
SYMBOL_CRC(rt_global_debug_component, 0x22166084, "");
SYMBOL_CRC(alloc_rtllib, 0xad6afa1e, "");
SYMBOL_CRC(free_rtllib, 0x9bd6fe55, "");
SYMBOL_CRC(rtllib_rx, 0x8e00fe48, "");
SYMBOL_CRC(rtllib_legal_channel, 0x871257eb, "");
SYMBOL_CRC(rtllib_xmit, 0xc80a5795, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x408e6636, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x1c4b81c5, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x2ca35cb7, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x100b4308, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x6bd0c94b, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x26ae07cf, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0xc634f270, "");
SYMBOL_CRC(rtllib_EnableIntelPromiscuousMode, 0xfc9dfa3e, "");
SYMBOL_CRC(rtllib_DisableIntelPromiscuousMode, 0xdbefca27, "");
SYMBOL_CRC(rtllib_stop_send_beacons, 0x08efe5ef, "");
SYMBOL_CRC(rtllib_start_send_beacons, 0x673bbdf6, "");
SYMBOL_CRC(rtllib_stop_scan, 0x75e41c2f, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x83e69329, "");
SYMBOL_CRC(rtllib_act_scanning, 0x23b003c8, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0xe7c96bff, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0xf64cd0a3, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0xd9041a5f, "");
SYMBOL_CRC(rtllib_reset_queue, 0x6e9cd0fe, "");
SYMBOL_CRC(rtllib_get_beacon, 0xcefba394, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x8c33c828, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x73bcdc66, "");
SYMBOL_CRC(rtllib_MgntDisconnect, 0x18323178, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x601f96dd, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0x1e465faf, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x54c6b255, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x737f9de5, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x2c372681, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xef27e6f0, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x3e40faa6, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x74c0175c, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xb72ee4d7, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0xe8665fb3, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x8b7454ee, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x0a0e8bcc, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0xb2057d1f, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xc1f4b914, "");
SYMBOL_CRC(rtllib_wx_set_rawtx, 0xa96eeda9, "");
SYMBOL_CRC(rtllib_wx_get_name, 0xef87b1c6, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x1d60fc45, "");
SYMBOL_CRC(rtllib_wx_get_power, 0x404267aa, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xb7f18cea, "");
SYMBOL_CRC(RemovePeerTS, 0xba629d76, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30578e2b, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x55589d7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x202586bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcc3d12e0, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0x7a44d4e5, "lib80211_get_crypto_ops" },
	{ 0x768561c9, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x22936a96, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0xfcb097e1, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x345d9b39, "netif_tx_stop_all_queues" },
	{ 0xbaabcaa0, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x8fa7e63b, "netif_rx" },
	{ 0x75bb43d7, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x44baaefb, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb766af9c, "netdev_alert" },
	{ 0x427aad93, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b8d2251, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb8de41a2, "lib80211_crypt_delayed_deinit" },
	{ 0x24b2180a, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x448894d9, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x9f1e055, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3f7951a, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb8008add, "try_module_get" },
	{ 0x7b58647f, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xd4fe0de7, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "B04BF17C06FE2B0CF152CBB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
