#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0xa77145c7, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x33364d21, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0xadfc3fd4, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x360e85ae, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x690ef56a, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x67618aab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7a73f918, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8defea65, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x11592b2, "usb_hcd_check_unlink_urb" },
	{ 0x792865b0, "device_wakeup_disable" },
	{ 0x2e13f07d, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0x574be016, "_dev_err" },
	{ 0x7a33034a, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5d50259d, "sg_miter_stop" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3a578166, "sg_miter_start" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x26a860dc, "bpf_trace_run1" },
	{ 0xc2903ded, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x51677bad, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbfc44957, "__platform_driver_register" },
	{ 0x1a5e4b4b, "bpf_trace_run3" },
	{ 0x782c0c7b, "seq_read" },
	{ 0x25d3f150, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xd0c7107c, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa26a92a8, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xceb8aece, "usb_hcd_poll_rh_status" },
	{ 0xbf4bc3a3, "usb_create_hcd" },
	{ 0x8cd3a890, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe0dffcae, "dev_err_probe" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0xa830ffc5, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0xa3d77561, "__pm_runtime_use_autosuspend" },
	{ 0x15e99b73, "usb_remove_hcd" },
	{ 0xcff1db4c, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x38fc91c, "single_open" },
	{ 0x94a90819, "usb_hcd_unmap_urb_for_dma" },
	{ 0xe256ca91, "__pm_runtime_disable" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0xfd2e6aae, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa8c8a372, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x71d5f51b, "devm_platform_ioremap_resource" },
	{ 0x1451a3f0, "device_set_wakeup_capable" },
	{ 0x73d5ce8d, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xd023620e, "usb_hcd_resume_root_hub" },
	{ 0x26fe4323, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbce6436, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd20023a6, "param_ops_ushort" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8ededc6d, "pm_runtime_set_autosuspend_delay" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc82a409, "usb_get_dr_mode" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0xde5c7539, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "21D0DC8801E109E0757279F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
