#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0xbd06d91f, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa138ecb8, "usb_power_delivery_unregister_capabilities" },
	{ 0x836ab3c2, "usb_power_delivery_unregister" },
	{ 0xf1a20e83, "kthread_destroy_worker" },
	{ 0x37b3d469, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x343022aa, "typec_match_altmode" },
	{ 0x24a77766, "typec_altmode_vdm" },
	{ 0x11a4efcf, "usb_power_delivery_register_capabilities" },
	{ 0x6bd50761, "typec_partner_set_identity" },
	{ 0xc4eb4461, "usb_power_delivery_register" },
	{ 0xbc220947, "typec_altmode_attention" },
	{ 0x29d938e8, "typec_altmode_notify" },
	{ 0xb150d8a6, "typec_partner_register_altmode" },
	{ 0x28f2565c, "typec_partner_set_svdm_version" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xbc5a932a, "kthread_create_worker" },
	{ 0xf80c1768, "sched_set_fifo" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96082a40, "fw_devlink_purge_absent_suppliers" },
	{ 0x51b4d5a1, "typec_get_fw_cap" },
	{ 0x55fc031, "fwnode_property_present" },
	{ 0x1a8255dc, "fwnode_property_read_u32_array" },
	{ 0xf87b885c, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x88fe8f06, "__dev_fwnode" },
	{ 0xaac8882c, "devm_power_supply_register" },
	{ 0xed968174, "typec_register_port" },
	{ 0x2768f925, "typec_port_register_altmodes" },
	{ 0x72bcf1c1, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0xa7faffd6, "fwnode_usb_role_switch_get" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba652826, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0x782c0c7b, "seq_read" },
	{ 0x8cd3a890, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc1d1a519, "kthread_queue_work" },
	{ 0xbdd9c560, "typec_unregister_altmode" },
	{ 0xc2e6e6eb, "typec_get_drvdata" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf491036, "typec_register_partner" },
	{ 0xce03c2fa, "typec_partner_set_usb_power_delivery" },
	{ 0x574be016, "_dev_err" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa830ffc5, "usb_debug_root" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38fc91c, "single_open" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x2b013641, "_dev_warn" },
	{ 0xe94a5ef1, "power_supply_get_drvdata" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67ea33f1, "typec_get_negotiated_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3a946946, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x988e5d8c, "typec_set_mode" },
	{ 0x9108aa5, "typec_set_data_role" },
	{ 0xa70090f4, "typec_set_pwr_role" },
	{ 0xfb3496f9, "typec_set_vconn_role" },
	{ 0x428dbc6, "power_supply_changed" },
	{ 0x39a156cb, "typec_unregister_partner" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "D1E7DED7CC27AD1BBD59FE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
