#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x3e443312, "");
SYMBOL_CRC(bt_sock_register, 0x6d0c8d66, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xae9fbc8b, "");
SYMBOL_CRC(bt_sock_link, 0x5cd79d64, "");
SYMBOL_CRC(bt_sock_unlink, 0xae61bd4d, "");
SYMBOL_CRC(bt_accept_enqueue, 0xbb932f04, "");
SYMBOL_CRC(bt_accept_unlink, 0xadded23e, "");
SYMBOL_CRC(bt_accept_dequeue, 0xe9147d45, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xfbd90b44, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x70bedb45, "");
SYMBOL_CRC(bt_sock_poll, 0x26fea1dd, "");
SYMBOL_CRC(bt_sock_ioctl, 0x4a0bca47, "");
SYMBOL_CRC(bt_sock_wait_state, 0xfd413cb3, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x0d70e112, "");
SYMBOL_CRC(bt_procfs_init, 0x2c06fc58, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x7dd4fce0, "");
SYMBOL_CRC(bt_debugfs, 0x67ab5011, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xbb0050b5, "");
SYMBOL_CRC(hci_free_dev, 0xa6e31c3d, "");
SYMBOL_CRC(hci_register_dev, 0xa245bdef, "");
SYMBOL_CRC(hci_unregister_dev, 0x6b2ba7df, "");
SYMBOL_CRC(hci_release_dev, 0x4f5e402c, "");
SYMBOL_CRC(hci_suspend_dev, 0x93705390, "");
SYMBOL_CRC(hci_resume_dev, 0x87b8e0a0, "");
SYMBOL_CRC(hci_reset_dev, 0xbc56e73d, "");
SYMBOL_CRC(hci_recv_frame, 0xcc62a8cc, "");
SYMBOL_CRC(hci_recv_diag, 0x216c2cb2, "");
SYMBOL_CRC(hci_set_hw_info, 0xda3efcb8, "");
SYMBOL_CRC(hci_set_fw_info, 0x2d477f3b, "");
SYMBOL_CRC(hci_register_cb, 0x61c0fa40, "");
SYMBOL_CRC(hci_unregister_cb, 0x2c396d93, "");
SYMBOL_CRC(__hci_cmd_send, 0x9edacb2a, "");
SYMBOL_CRC(hci_get_route, 0x2b269588, "");
SYMBOL_CRC(hci_conn_security, 0x52d18903, "");
SYMBOL_CRC(hci_conn_check_secure, 0x232d9a35, "");
SYMBOL_CRC(hci_conn_switch_role, 0x320e0854, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x4fdff654, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xd240e971, "");
SYMBOL_CRC(l2cap_add_psm, 0xd773ca06, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x08ea729f, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xf272a4f1, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x3f4667dc, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x13a9ad62, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x54b70f1a, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x66de05e1, "");
SYMBOL_CRC(l2cap_register_user, 0x23a8644e, "");
SYMBOL_CRC(l2cap_unregister_user, 0xecbcb45a, "");
SYMBOL_CRC(l2cap_conn_get, 0xea495b97, "");
SYMBOL_CRC(l2cap_conn_put, 0xc3748477, "");
SYMBOL_CRC(l2cap_chan_send, 0x4ffd8529, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xb7086517, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x02a172a2, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x5724591a, "");
SYMBOL_CRC(__hci_cmd_sync, 0xb4072945, "");
SYMBOL_CRC(hci_cmd_sync, 0x7fd629c3, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xffb899d7, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x66f8e7a5, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x44d0ec80, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xfd58c3bd, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x110baffa, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xb9020241, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xca371fdf, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x7f2bc172, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x36ff60c2, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xdc4c42fc, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x0f77456b, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xbcc2859f, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xf3dd4917, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x31d79ca5, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x1659f441, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x7cb15a65, "");
SYMBOL_CRC(hci_devcd_init, 0xa6f7ca30, "");
SYMBOL_CRC(hci_devcd_append, 0x6ccae8dd, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x08a69841, "");
SYMBOL_CRC(hci_devcd_complete, 0xf4e6919c, "");
SYMBOL_CRC(hci_devcd_abort, 0x2c25af72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x7b58647f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x8c24c68c, "scm_detach_fds" },
	{ 0x4d336c2, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x4c8fcdeb, "device_unregister" },
	{ 0x2178a669, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x82290c51, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4caa7451, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x75663e9b, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x35283798, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaf937340, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x80a89d7c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x7881f393, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0xcb4ed3f6, "put_cmsg" },
	{ 0x40f87ed0, "skb_queue_purge_reason" },
	{ 0x5420c6a8, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcfea626, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x4c315bb8, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x65f65d66, "sock_register" },
	{ 0x8a9c0074, "datagram_poll" },
	{ 0x40a87602, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf4609c8, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x6432c02, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xea6a1ec1, "skb_queue_tail" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfd5d34a6, "__sock_recv_timestamp" },
	{ 0xd7cc07db, "sock_no_shutdown" },
	{ 0x5cb42984, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x74ec385d, "init_net" },
	{ 0xc0b96282, "crypto_shash_setkey" },
	{ 0x768561c9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1947aaf9, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0x67c75fe3, "sk_free" },
	{ 0xa539b36, "device_move" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0xef42be32, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb396c1e7, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x24f1ef74, "sock_no_listen" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4aa1cd6e, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e6ce7e1, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x3f7580e8, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x1b38a6f, "lock_sock_nested" },
	{ 0xf72c67e3, "device_find_child" },
	{ 0xd7bef2b3, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x141644ba, "skb_copy_datagram_iter" },
	{ 0x87679c9e, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7fb27189, "sk_alloc" },
	{ 0xdcb76756, "device_del" },
	{ 0x2a0684cf, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfea0401d, "__sock_recv_wifi_status" },
	{ 0xe1f7e037, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1adc6f3d, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8467d9cd, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f727845, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x11eb23f, "__pskb_pull_tail" },
	{ 0xa4ba7399, "__scm_destroy" },
	{ 0x29f570cd, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe56fd38c, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x27b43457, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45bff2cc, "devm_kasprintf" },
	{ 0x782c0c7b, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf2b2b8bb, "sock_i_ino" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0xa325a7b2, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3e3187b6, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xd4e27843, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4c90882b, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x87a64503, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x721db116, "skb_copy" },
	{ 0x729954ac, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x50fe821, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x45bdd7ca, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x139419fd, "seq_puts" },
	{ 0x75856d65, "sock_gettstamp" },
	{ 0x8cd3a890, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdac4cd3a, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9b75b6a5, "from_kuid_munged" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0xc02e8d61, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1b75e14c, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69c24367, "proc_create_seq_private" },
	{ 0x38fc91c, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x526c7198, "crypto_alloc_shash" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7fe4540, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5d85e999, "put_pid" },
	{ 0x3f8ee911, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x98558cf8, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88fe8f06, "__dev_fwnode" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8b9b4c26, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcbb8bf19, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x4e94cc9a, "skb_free_datagram" },
	{ 0xbd37f199, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8008add, "try_module_get" },
	{ 0xd5686cbf, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "9F6A84B5A3B1FB77FB36E23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
