#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x2e81e9ec, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x44e5be77, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xac852d1b, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x6226200b, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x374ef96a, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x2c68635e, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x5b37e5cf, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xc720467a, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x85db9802, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xe7d5034f, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x4e7ba5c1, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x287f46b8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe0cea35b, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xca8d5aec, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7350c5f2, "gro_cells_init" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x74ec385d, "init_net" },
	{ 0x4341b14f, "alloc_netdev_mqs" },
	{ 0x55e049d5, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xfcb097e1, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5da2678f, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x11eb23f, "__pskb_pull_tail" },
	{ 0xfa0e2b98, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xc0296499, "netdev_state_change" },
	{ 0x19661d52, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf2c6bc9f, "make_kuid" },
	{ 0xa939d2de, "ip6_redirect" },
	{ 0xe6cbf282, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdbd7f103, "ip6_route_output_flags" },
	{ 0xb86b74b1, "xfrm_lookup" },
	{ 0xb7d09038, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3ceb4130, "skb_scrub_packet" },
	{ 0x21a400f6, "skb_realloc_headroom" },
	{ 0x4c959adb, "skb_set_owner_w" },
	{ 0xd8a86d82, "consume_skb" },
	{ 0xfddd2283, "ipv6_push_frag_opts" },
	{ 0xb396c1e7, "skb_push" },
	{ 0x3b784a07, "ip6_local_out" },
	{ 0x8e6b3c54, "dst_cache_get" },
	{ 0x3b5a4570, "dst_cache_set_ip6" },
	{ 0x499a04f, "ipv6_dev_get_saddr" },
	{ 0xd7aae640, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa62c0370, "ipv4_mtu" },
	{ 0xfac3d5fb, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2e343c95, "iptunnel_handle_offloads" },
	{ 0xfd19194e, "icmpv6_ndo_send" },
	{ 0x4a1ca38a, "kfree_skb_reason" },
	{ 0x903880ec, "icmp_ndo_send" },
	{ 0x729954ac, "skb_clone" },
	{ 0x768561c9, "skb_pull" },
	{ 0xce43f6ef, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4cf322c2, "gro_cells_receive" },
	{ 0x202586bb, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x50c46afc, "__iptunnel_pull_header" },
	{ 0xae260dd6, "metadata_dst_alloc" },
	{ 0xa3a433fc, "__xfrm_policy_check" },
	{ 0x2589ff42, "ip_route_output_flow" },
	{ 0x434bbbf6, "ip_route_input_noref" },
	{ 0x9cd2d83c, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x33ea3049, "dev_get_tstats64" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x607e1d4f, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8fe409f3, "ipv6_chk_addr_and_flags" },
	{ 0x9265ce7b, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xe8d0d39d, "register_pernet_device" },
	{ 0xea100e46, "xfrm6_tunnel_register" },
	{ 0xc6a23dc5, "rtnl_link_register" },
	{ 0xa12d99cd, "unregister_pernet_device" },
	{ 0x9e6578aa, "xfrm6_tunnel_deregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71016f7a, "unregister_netdevice_queue" },
	{ 0xa3514aac, "dev_addr_mod" },
	{ 0x649b0ad3, "rt6_lookup" },
	{ 0x83122055, "dst_release" },
	{ 0x3c91de57, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
