#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6t_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ip6t_register_table, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_exit, "", "");
KSYMTAB_FUNC(ip6t_do_table, "", "");

SYMBOL_CRC(ip6t_alloc_initial_table, 0x1047d4c9, "_gpl");
SYMBOL_CRC(ip6t_register_table, 0x4e35cf56, "");
SYMBOL_CRC(ip6t_unregister_table_pre_exit, 0x6f6a982e, "");
SYMBOL_CRC(ip6t_unregister_table_exit, 0x35decb58, "");
SYMBOL_CRC(ip6t_do_table, 0x56cfc106, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xf9db5f39, "xt_request_find_table_lock" },
	{ 0xa916b694, "strnlen" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9e6add29, "xt_table_unlock" },
	{ 0xeb95c3c4, "module_put" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0x4e27719, "xt_compat_flush_offsets" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x53125e3e, "xt_proto_fini" },
	{ 0x26ca68b4, "xt_proto_init" },
	{ 0x6ba92a52, "nf_unregister_sockopt" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x946f78ee, "xt_find_table_lock" },
	{ 0xa7414ed8, "xt_compat_match_to_user" },
	{ 0x999e8297, "vfree" },
	{ 0x5a19d8ee, "xt_compat_target_to_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x19661d52, "ns_capable" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xfa926374, "xt_match_to_user" },
	{ 0xaeb7a522, "xt_target_to_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0xbb2fa592, "xt_request_find_match" },
	{ 0xc347c92e, "xt_check_match" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0x157c69a2, "xt_request_find_target" },
	{ 0x3e4a0986, "xt_check_target" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd6857b9, "ipv6_find_hdr" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9f34c75, "nf_log_trace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9e205a3, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0x783ff3b, "xt_replace_table" },
	{ 0xd7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x11ad4a48, "xt_register_table" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe2d770e7, "nf_register_net_hooks" },
	{ 0xa25fc115, "xt_compat_check_entry_offsets" },
	{ 0xfb578fc5, "memset" },
	{ 0x12b115da, "xt_compat_match_from_user" },
	{ 0x79992ceb, "xt_compat_target_from_user" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0b76c61, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x483dbf24, "nf_unregister_net_hooks" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3030d6ad, "register_pernet_subsys" },
	{ 0x31c84d8, "xt_register_targets" },
	{ 0x5e1eb00a, "nf_register_sockopt" },
	{ 0x12025598, "xt_unregister_targets" },
	{ 0x79cd9cfd, "unregister_pernet_subsys" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0xfbfe4bb6, "xt_compat_match_offset" },
	{ 0xb6062e7c, "xt_compat_target_offset" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "FC340A0069BB1E6CFD12CE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
