#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(__snd_printk, "_gpl", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x14140d6e, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x541ca91c, "");
SYMBOL_CRC(snd_unregister_device, 0x27d453fc, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x3658ea3b, "");
SYMBOL_CRC(snd_device_alloc, 0xb026122f, "_gpl");
SYMBOL_CRC(snd_card_new, 0x7e551d43, "");
SYMBOL_CRC(snd_devm_card_new, 0x9552c0e5, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x67a354de, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x4a5477fd, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x5ce61fef, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x7e8a4739, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x7c5b7f2f, "");
SYMBOL_CRC(snd_card_free, 0x26ced912, "");
SYMBOL_CRC(snd_card_set_id, 0x4adf6129, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x21f947bf, "_gpl");
SYMBOL_CRC(snd_card_register, 0xf60315f3, "");
SYMBOL_CRC(snd_component_add, 0x66b401da, "");
SYMBOL_CRC(snd_card_file_add, 0x73e4133f, "");
SYMBOL_CRC(snd_card_file_remove, 0x9e817fce, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x604ebc93, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x8011e21a, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xef620309, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x37fdccdd, "");
SYMBOL_CRC(snd_ctl_notify, 0xefba0d40, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xf04ba605, "");
SYMBOL_CRC(snd_ctl_new1, 0xd6dff22e, "");
SYMBOL_CRC(snd_ctl_free_one, 0xa3ed8dc5, "");
SYMBOL_CRC(snd_ctl_add, 0x87e8104c, "");
SYMBOL_CRC(snd_ctl_replace, 0x44f32e37, "");
SYMBOL_CRC(snd_ctl_remove, 0x078e0bcc, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x347c233c, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x3dd6e806, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x3d4984d0, "");
SYMBOL_CRC(snd_ctl_rename, 0xe4ee7c84, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x50036212, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x90446023, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0xd9203081, "");
SYMBOL_CRC(snd_ctl_find_id, 0x81d0e200, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x70ce5973, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x211b39fb, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x8a54382b, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x80e48ba6, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xf688df55, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x1d78fd29, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xf1aa2ac0, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xda9687f5, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xdf727f87, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x788294a2, "");
SYMBOL_CRC(snd_fasync_helper, 0x729cccac, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x92dfe627, "");
SYMBOL_CRC(snd_device_disconnect, 0x8b26fb52, "_gpl");
SYMBOL_CRC(snd_device_free, 0x13aeb132, "");
SYMBOL_CRC(snd_device_register, 0x70b27a83, "");
SYMBOL_CRC(snd_device_get_state, 0x0e7ea456, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x57b5ea40, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xf77e38cc, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x19e49e5f, "");
SYMBOL_CRC(snd_info_free_entry, 0xc96533d9, "");
SYMBOL_CRC(snd_info_register, 0xffa03ffa, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x22eebd01, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xc8b4fe15, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xadaf964f, "");
SYMBOL_CRC(snd_unregister_oss_device, 0xe81f8616, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x944ac754, "");
SYMBOL_CRC(snd_ctl_add_followers, 0xca5f4f16, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x8a5f61e7, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x41ac46cd, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x0598f6e3, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x5980831d, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x36fbe9b2, "");
SYMBOL_CRC(snd_jack_new, 0x8ba35135, "");
SYMBOL_CRC(snd_jack_set_parent, 0x28e43558, "");
SYMBOL_CRC(snd_jack_set_key, 0xf837e6c0, "");
SYMBOL_CRC(snd_jack_report, 0xcf9242a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x9f984513, "strrchr" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x574be016, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x1947aaf9, "device_add" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfa7b8b74, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6bb3b1, "input_set_capability" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbefbe03f, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0xe459c491, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdcb76756, "device_del" },
	{ 0x4bd02c97, "proc_mkdir" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf7b5e4f3, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf4d889e0, "input_event" },
	{ 0xdf38e77f, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x782c0c7b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xa262e6ab, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8b454d33, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x89f7130e, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ee4b482, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x50fe821, "_copy_from_iter" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x996ef73a, "stream_open" },
	{ 0x8cd3a890, "single_release" },
	{ 0xdac4cd3a, "pid_vnr" },
	{ 0xefe84cd6, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x5d9f4c70, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x97a3269a, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xa5a9cc2a, "proc_symlink" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x38fc91c, "single_open" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5d85e999, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf928ed87, "input_allocate_device" },
	{ 0xb8008add, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7d2743f1, "_copy_to_iter" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd64cc715, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x59e7552, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0x8a4697a2, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x406f1486, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc65b671c, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x82420d63, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x75ebbff6, "devm_remove_action" },
	{ 0x1faf1da5, "import_ubuf" },
	{ 0x80a89d7c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ce1dea6, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8a22e8b5, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe3c7f2d9, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc7ee6932, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x1df07b07, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x53a427fd, "register_sound_special_device" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "11F471464668C3C67C25E02");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
