#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0xa2f567ca, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x5c78471a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x070a50e3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x5c741a90, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x8f112f44, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xda2c0f16, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x7fb27aea, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x0835c665, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x15af87ab, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x4b300b0e, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x2569e3d0, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x0bcedfc4, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xe420d865, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x4193397d, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x13597f92, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x7b6ad8e7, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xf9647f17, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x90bd8693, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x6a3b6250, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xb9624fbf, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x6108019e, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x4bf57856, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xb52ea5c6, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x17632e0a, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x499eaa6d, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x45f11d58, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x1d7851fd, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xad694528, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x3b5d85e0, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xdd67b7fe, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x3175f1ea, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xb7ac6300, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x5cc59f73, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x0e283005, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x9ec279a8, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x17ec6139, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x5a51d8ca, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x6e9989cc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x2bbfe735, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xc009a517, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x9d36503d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x2fa7e173, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x090de492, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xe08f8398, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x665d4f15, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xc96b1e2a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x4231931c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xc106042c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x856389d2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x1e9a9107, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xbe9f49e4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xc4049dcc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xb996b11c, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xfefb7bbc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x4c207315, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x77d3f6a6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x18509078, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xcdc9572a, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x8a50328c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xb8f53a51, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xd5add194, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x4f4378ee, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x0b25cef1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x9cf5ef82, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x784d6218, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xe1afc94e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0xfabc11cb, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x05a056dd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xabc40f7e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x6a6135e1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x53752468, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x09fee130, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xab726709, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x00dd65a6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xf3831b1b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xd3e69baa, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x95985dfe, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x1f1c1c8f, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xed4b0af8, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xe5d8a340, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x75b57d29, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x9341d14b, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xdd4baa4a, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x2c8f6b00, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xffd555e9, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xa459798d, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x5075d8aa, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x8a4c194d, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xd0a4f377, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x12a48add, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xc1abe2e0, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x00c0e486, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x33ddf439, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x11aa2f65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0x400bb345, "snd_sgbuf_get_chunk_size" },
	{ 0x1ce1dea6, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x4c97d5ff, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7859c676, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0xeb95c3c4, "module_put" },
	{ 0xfb66b969, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0x6c4c4ba1, "bus_unregister" },
	{ 0x574be016, "_dev_err" },
	{ 0x5234b784, "kobject_add" },
	{ 0x1947aaf9, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbefbe03f, "__devres_alloc_node" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x71ead84a, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dd1a2, "__regmap_init" },
	{ 0xdcb76756, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7db9a17d, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb68960e3, "sysfs_remove_group" },
	{ 0x1a5e4b4b, "bpf_trace_run3" },
	{ 0xe6bc5a36, "component_master_del" },
	{ 0x8b0576fc, "regmap_read" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x35d25355, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe4bb4e43, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3b305ac9, "pci_match_id" },
	{ 0xefe84cd6, "devres_find" },
	{ 0x7b1ab096, "regmap_update_bits_base" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0xf3664d7f, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4222fb4a, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x38b56584, "pci_bus_type" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4168c926, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5df95022, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb8008add, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6287e26b, "regcache_sync" },
	{ 0x43541a4b, "regmap_write" },
	{ 0x35a5745e, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x827ce054, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ec8fdf7, "component_master_add_with_match" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0xaf9113e0, "snd_pcm_add_chmap_ctls" },
	{ 0xda658b4e, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x326f7e41, "pci_get_device" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x5cba2eeb, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb1bd9a99, "pm_runtime_get_if_active" },
	{ 0x8ae146f4, "kobject_init" },
	{ 0xe14d6d73, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x583ca8d4, "regcache_reg_cached" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xda69160c, "snd_sgbuf_get_addr" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "C55C99E4C61D3336E964462");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
