#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xa62a2439, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x50c25607, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0xcacad275, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x0a8cd281, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x11605f78, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x516409ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84d79edd, "snd_soc_component_write" },
	{ 0xa079b807, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc7b66cf8, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc5290ef5, "device_property_read_u32_array" },
	{ 0x5439f2a6, "snd_soc_get_enum_double" },
	{ 0x86724e0a, "i2c_register_driver" },
	{ 0x489a561, "snd_soc_info_volsw" },
	{ 0x574be016, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xca2846cd, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1495ade4, "snd_soc_dapm_force_bias_level" },
	{ 0x6e586c89, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9d75e2a8, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x2b013641, "_dev_warn" },
	{ 0xcf88b7bf, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x358d03b9, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb16d27fa, "snd_soc_get_volsw" },
	{ 0x8b0576fc, "regmap_read" },
	{ 0x72107e60, "snd_soc_put_volsw" },
	{ 0x5125a409, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9c16534c, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7b1ab096, "regmap_update_bits_base" },
	{ 0xad0e2656, "snd_soc_dapm_get_volsw" },
	{ 0x5d9f4c70, "__devm_add_action" },
	{ 0x75a84933, "i2c_del_driver" },
	{ 0xcb9f4619, "regmap_register_patch" },
	{ 0xe26ae853, "snd_soc_dapm_get_enum_double" },
	{ 0x2bab61ea, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc43854d9, "snd_soc_dapm_put_enum_double" },
	{ 0x7f3a6c16, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd7d83b20, "device_property_present" },
	{ 0x675991d7, "regcache_cache_only" },
	{ 0x6287e26b, "regcache_sync" },
	{ 0x43541a4b, "regmap_write" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0xcd019cb8, "snd_soc_jack_report" },
	{ 0x1d15e6f7, "snd_soc_component_read" },
	{ 0xf49cec9d, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x3ad53225, "gpiod_to_irq" },
	{ 0xf0ba4f70, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd77b3a61, "snd_soc_put_enum_double" },
	{ 0xb2421206, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c7668f4, "gpiod_get_value" },
	{ 0x24fc54fc, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x8182bd6d, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x7e503166, "devm_clk_get" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "DF8B64433CCC09086D185D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
