#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x7972289f, "");
SYMBOL_CRC(sof_set_fw_state, 0xf98403aa, "");
SYMBOL_CRC(snd_sof_device_probe, 0x202251da, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0xb85b2287, "");
SYMBOL_CRC(snd_sof_device_remove, 0x4f9c1e68, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x4e498eb6, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x4194b4bc, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x577fd265, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0xb4118bdc, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0x6a2b64ed, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x9a3140a7, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x3ceccb43, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x42c9addf, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0xfcf2c87f, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0xb1ef8da7, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x454175eb, "");
SYMBOL_CRC(snd_sof_fw_unload, 0x48bdcbe6, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x4c1cb374, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x1e9c396e, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0xd096db02, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0x49a81472, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x4fb9ea8d, "");
SYMBOL_CRC(snd_sof_ipc_init, 0xd061c884, "");
SYMBOL_CRC(snd_sof_ipc_free, 0x3cfd0ee8, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0x97cc91b2, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0x9a3090f3, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x59a5b91f, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0xa4dcb7b5, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0xa02b2934, "");
SYMBOL_CRC(snd_sof_resume, 0x99547314, "");
SYMBOL_CRC(snd_sof_suspend, 0x62f2e68d, "");
SYMBOL_CRC(snd_sof_prepare, 0x61b64aed, "");
SYMBOL_CRC(snd_sof_complete, 0xbb94920f, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0x1e840918, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0xbca7bb01, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x77fbfcfe, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0xdb62b650, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x1c01b269, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x5354e65a, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xbe3fce11, "");
SYMBOL_CRC(snd_sof_load_topology, 0x3b689123, "");
SYMBOL_CRC(sof_io_write, 0x70436d91, "");
SYMBOL_CRC(sof_io_read, 0x3a3e4e61, "");
SYMBOL_CRC(sof_io_write64, 0x5211ca7a, "");
SYMBOL_CRC(sof_io_read64, 0x957e1a6b, "");
SYMBOL_CRC(sof_mailbox_write, 0xf2e0e29e, "");
SYMBOL_CRC(sof_mailbox_read, 0x2c7d7cbf, "");
SYMBOL_CRC(sof_block_write, 0x4c48a294, "");
SYMBOL_CRC(sof_block_read, 0x313fa78f, "");
SYMBOL_CRC(sof_widget_free, 0x560d786d, "");
SYMBOL_CRC(sof_widget_setup, 0x43e50897, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0xf92b1180, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x6592d4fe, "");
SYMBOL_CRC(sof_dai_get_bclk, 0xf91fe96f, "");
SYMBOL_CRC(sof_machine_check, 0x0522114e, "");
SYMBOL_CRC(sof_machine_register, 0xc3125081, "");
SYMBOL_CRC(sof_machine_unregister, 0xfc5c1f09, "");
SYMBOL_CRC(sof_ipc_msg_data, 0x2f425db9, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0xfca1e4d6, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x55575010, "");
SYMBOL_CRC(sof_stream_pcm_close, 0x957a8d51, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0xbcaaa97c, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0x2f836f47, "");
SYMBOL_CRC(sof_client_dev_register, 0x025ad308, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0xe1c19ad7, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x27532829, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0xd6c92da6, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0x6c3e7292, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0x21e68627, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0x4c10ea09, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0x22543c8b, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0x18df7101, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0x152c398e, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0x4882b6cd, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x2365738c, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x15c0164b, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x6e715b9b, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0xc865531e, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0x3a04184b, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0x89144ce5, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0x5ef69560, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x088409c4, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x842ce0ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c2bd41e, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcdda8cba, "param_ops_bool" },
	{ 0xe2ea6e93, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb94b2cef, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x8df29265, "kmalloc_trace" },
	{ 0x3ac0eff8, "__pm_runtime_suspend" },
	{ 0xbb205dcb, "snd_pcm_hw_constraint_step" },
	{ 0x4aceb109, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x27f72e4, "param_ops_int" },
	{ 0xcff1db4c, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x6aa6a6af, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6af68c39, "pci_write_config_dword" },
	{ 0xec9b6a06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x568ddba3, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe005d3c1, "snd_soc_dapm_dai_free_widgets" },
	{ 0xb8008add, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x35a5745e, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x401d80fe, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe19199a6, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x363e890f, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56e3000b, "trace_raw_output_prep" },
	{ 0xc8c20338, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4895468e, "request_firmware" },
	{ 0x55b445b3, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb1bd9a99, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf16e2222, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bd31ecb, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x8f5881b6, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x979165fe, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac7e6689, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdb0f23bc, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaf7dafa3, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x2fd01dbd, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x4c97d5ff, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa079b807, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a2ab7bf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1b23f3f8, "_dev_info" },
	{ 0x262c4916, "debugfs_file_put" },
	{ 0xeb95c3c4, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x47ccc755, "intel_nhlt_get_endpoint_blob" },
	{ 0xa7812dcb, "snd_soc_rtdcom_lookup" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9cd6efb5, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x55ce9fc6, "perf_trace_run_bpf_submit" },
	{ 0xcf9197db, "devm_kfree" },
	{ 0x574be016, "_dev_err" },
	{ 0xeb0e1929, "simple_open" },
	{ 0x999585b, "platform_device_unregister" },
	{ 0x268fd793, "__auxiliary_device_add" },
	{ 0xe81e8781, "widget_in_list" },
	{ 0x9b30c4f9, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4ea89041, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf0f9cfc9, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x63a47909, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1fcdf264, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x26a860dc, "bpf_trace_run1" },
	{ 0xdcb76756, "device_del" },
	{ 0x78f81e21, "default_llseek" },
	{ 0x2b013641, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e21fdc2, "debugfs_create_u32" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8d0c6349, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf04ba605, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x45bff2cc, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x48ae950a, "snd_pcm_hw_constraint_integer" },
	{ 0x1a5e4b4b, "bpf_trace_run3" },
	{ 0xd2b4613b, "debugfs_create_file" },
	{ 0xa95821a5, "platform_device_register_full" },
	{ 0x8ad62fa1, "trace_event_buffer_reserve" },
	{ 0x8591d18b, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "D1433182484F336AEC2DF11");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
